#include "windows_version.h"
#include <memory.h>
#include <caml/mlvalues.h>
#include <caml/socketaddr.h>
#include <caml/threads.h>
#include <uv.h>
#include "helpers.h"
#include "ctypes_cstubs_internals.h"
value luv_stub_1_uv_strerror_r(value x3, value x2, value x1)
{
   int x4 = Long_val(x3);
   unsigned char* x7 = CTYPES_PTR_OF_OCAML_BYTES(x2);
   int x8 = Long_val(x1);
   uv_strerror_r(x4, x7, x8);
   return Val_unit;
}
value luv_stub_2_uv_err_name_r(value x14, value x13, value x12)
{
   int x15 = Long_val(x14);
   unsigned char* x18 = CTYPES_PTR_OF_OCAML_BYTES(x13);
   int x19 = Long_val(x12);
   uv_err_name_r(x15, x18, x19);
   return Val_unit;
}
value luv_stub_3_uv_translate_sys_error(value x23)
{
   int x24 = Long_val(x23);
   int x27 = uv_translate_sys_error(x24);
   return Val_long(x27);
}
value luv_stub_4_luv_version_suffix(value x28)
{
   char* x29 = luv_version_suffix();
   return CTYPES_FROM_PTR(x29);
}
value luv_stub_5_uv_version(value x30)
{
   int x31 = uv_version();
   return Val_long(x31);
}
value luv_stub_6_luv_version_string(value x32)
{
   char* x33 = luv_version_string();
   return CTYPES_FROM_PTR(x33);
}
value luv_stub_7_uv_loop_init(value x34)
{
   uv_loop_t* x35 = CTYPES_ADDR_OF_FATPTR(x34);
   int x36 = uv_loop_init(x35);
   return Val_long(x36);
}
value luv_stub_8_uv_loop_configure(value x39, value x38, value x37)
{
   uv_loop_t* x40 = CTYPES_ADDR_OF_FATPTR(x39);
   int x41 = Long_val(x38);
   int x44 = Long_val(x37);
   int x47 = uv_loop_configure(x40, x41, x44);
   return Val_long(x47);
}
value luv_stub_9_uv_loop_close(value x48)
{
   uv_loop_t* x49 = CTYPES_ADDR_OF_FATPTR(x48);
   int x50 = uv_loop_close(x49);
   return Val_long(x50);
}
value luv_stub_10_uv_default_loop(value x51)
{
   uv_loop_t* x52 = uv_default_loop();
   return CTYPES_FROM_PTR(x52);
}
value luv_stub_11_uv_loop_alive(value x53)
{
   uv_loop_t* x54 = CTYPES_ADDR_OF_FATPTR(x53);
   _Bool x55 = uv_loop_alive(x54);
   return Val_bool(x55);
}
value luv_stub_12_uv_stop(value x56)
{
   uv_loop_t* x57 = CTYPES_ADDR_OF_FATPTR(x56);
   uv_stop(x57);
   return Val_unit;
}
value luv_stub_13_uv_backend_fd(value x59)
{
   uv_loop_t* x60 = CTYPES_ADDR_OF_FATPTR(x59);
   int x61 = uv_backend_fd(x60);
   return Val_long(x61);
}
value luv_stub_14_uv_backend_timeout(value x62)
{
   uv_loop_t* x63 = CTYPES_ADDR_OF_FATPTR(x62);
   int x64 = uv_backend_timeout(x63);
   return Val_long(x64);
}
value luv_stub_15_uv_now(value x65)
{
   uv_loop_t* x66 = CTYPES_ADDR_OF_FATPTR(x65);
   uint64_t x67 = uv_now(x66);
   return integers_copy_uint64(x67);
}
value luv_stub_16_uv_update_time(value x68)
{
   uv_loop_t* x69 = CTYPES_ADDR_OF_FATPTR(x68);
   uv_update_time(x69);
   return Val_unit;
}
value luv_stub_17_uv_loop_fork(value x71)
{
   uv_loop_t* x72 = CTYPES_ADDR_OF_FATPTR(x71);
   int x73 = uv_loop_fork(x72);
   return Val_long(x73);
}
value luv_stub_18_uv_library_shutdown(value x74)
{
   uv_library_shutdown();
   return Val_unit;
}
value luv_stub_19_luv_get_close_trampoline(value x76)
{
   void(* x77)(uv_handle_t*) = luv_get_close_trampoline();
   return CTYPES_FROM_PTR(x77);
}
value luv_stub_20_luv_get_alloc_trampoline(value x78)
{
   void(* x79)(uv_handle_t*, size_t, uv_buf_t*) = luv_get_alloc_trampoline();
   return CTYPES_FROM_PTR(x79);
}
value luv_stub_21_uv_is_active(value x80)
{
   uv_handle_t* x81 = CTYPES_ADDR_OF_FATPTR(x80);
   _Bool x82 = uv_is_active(x81);
   return Val_bool(x82);
}
value luv_stub_22_uv_is_closing(value x83)
{
   uv_handle_t* x84 = CTYPES_ADDR_OF_FATPTR(x83);
   _Bool x85 = uv_is_closing(x84);
   return Val_bool(x85);
}
value luv_stub_23_uv_close(value x87, value x86)
{
   uv_handle_t* x88 = CTYPES_ADDR_OF_FATPTR(x87);
   void(* x89)(uv_handle_t*) = CTYPES_ADDR_OF_FATPTR(x86);
   uv_close(x88, x89);
   return Val_unit;
}
value luv_stub_24_uv_ref(value x91)
{
   uv_handle_t* x92 = CTYPES_ADDR_OF_FATPTR(x91);
   uv_ref(x92);
   return Val_unit;
}
value luv_stub_25_uv_unref(value x94)
{
   uv_handle_t* x95 = CTYPES_ADDR_OF_FATPTR(x94);
   uv_unref(x95);
   return Val_unit;
}
value luv_stub_26_uv_has_ref(value x97)
{
   uv_handle_t* x98 = CTYPES_ADDR_OF_FATPTR(x97);
   _Bool x99 = uv_has_ref(x98);
   return Val_bool(x99);
}
value luv_stub_27_uv_send_buffer_size(value x101, value x100)
{
   uv_handle_t* x102 = CTYPES_ADDR_OF_FATPTR(x101);
   int* x103 = CTYPES_ADDR_OF_FATPTR(x100);
   int x104 = uv_send_buffer_size(x102, x103);
   return Val_long(x104);
}
value luv_stub_28_uv_recv_buffer_size(value x106, value x105)
{
   uv_handle_t* x107 = CTYPES_ADDR_OF_FATPTR(x106);
   int* x108 = CTYPES_ADDR_OF_FATPTR(x105);
   int x109 = uv_recv_buffer_size(x107, x108);
   return Val_long(x109);
}
value luv_stub_29_uv_fileno(value x111, value x110)
{
   uv_handle_t* x112 = CTYPES_ADDR_OF_FATPTR(x111);
   uv_os_fd_t* x113 = CTYPES_ADDR_OF_FATPTR(x110);
   int x114 = uv_fileno(x112, x113);
   return Val_long(x114);
}
value luv_stub_30_uv_handle_get_loop(value x115)
{
   uv_handle_t* x116 = CTYPES_ADDR_OF_FATPTR(x115);
   uv_loop_t* x117 = uv_handle_get_loop(x116);
   return CTYPES_FROM_PTR(x117);
}
value luv_stub_31_uv_handle_get_data(value x118)
{
   uv_handle_t* x119 = CTYPES_ADDR_OF_FATPTR(x118);
   void* x120 = uv_handle_get_data(x119);
   return CTYPES_FROM_PTR(x120);
}
value luv_stub_32_uv_handle_set_data(value x122, value x121)
{
   uv_handle_t* x123 = CTYPES_ADDR_OF_FATPTR(x122);
   void* x124 = CTYPES_ADDR_OF_FATPTR(x121);
   uv_handle_set_data(x123, x124);
   return Val_unit;
}
value luv_stub_33_uv_cancel(value x126)
{
   uv_req_t* x127 = CTYPES_ADDR_OF_FATPTR(x126);
   int x128 = uv_cancel(x127);
   return Val_long(x128);
}
value luv_stub_34_uv_req_get_data(value x129)
{
   uv_req_t* x130 = CTYPES_ADDR_OF_FATPTR(x129);
   void* x131 = uv_req_get_data(x130);
   return CTYPES_FROM_PTR(x131);
}
value luv_stub_35_uv_req_set_data(value x133, value x132)
{
   uv_req_t* x134 = CTYPES_ADDR_OF_FATPTR(x133);
   void* x135 = CTYPES_ADDR_OF_FATPTR(x132);
   uv_req_set_data(x134, x135);
   return Val_unit;
}
value luv_stub_36_luv_get_timer_trampoline(value x137)
{
   void(* x138)(uv_timer_t*) = luv_get_timer_trampoline();
   return CTYPES_FROM_PTR(x138);
}
value luv_stub_37_uv_timer_init(value x140, value x139)
{
   uv_loop_t* x141 = CTYPES_ADDR_OF_FATPTR(x140);
   uv_timer_t* x142 = CTYPES_ADDR_OF_FATPTR(x139);
   int x143 = uv_timer_init(x141, x142);
   return Val_long(x143);
}
value luv_stub_38_uv_timer_start(value x147, value x146, value x145,
                                 value x144)
{
   uv_timer_t* x148 = CTYPES_ADDR_OF_FATPTR(x147);
   void(* x149)(uv_timer_t*) = CTYPES_ADDR_OF_FATPTR(x146);
   uint64_t x150 = Uint64_val(x145);
   uint64_t x153 = Uint64_val(x144);
   int x156 = uv_timer_start(x148, x149, x150, x153);
   return Val_long(x156);
}
value luv_stub_39_uv_timer_stop(value x157)
{
   uv_timer_t* x158 = CTYPES_ADDR_OF_FATPTR(x157);
   int x159 = uv_timer_stop(x158);
   return Val_long(x159);
}
value luv_stub_40_uv_timer_again(value x160)
{
   uv_timer_t* x161 = CTYPES_ADDR_OF_FATPTR(x160);
   int x162 = uv_timer_again(x161);
   return Val_long(x162);
}
value luv_stub_41_uv_timer_set_repeat(value x164, value x163)
{
   uv_timer_t* x165 = CTYPES_ADDR_OF_FATPTR(x164);
   uint64_t x166 = Uint64_val(x163);
   uv_timer_set_repeat(x165, x166);
   return Val_unit;
}
value luv_stub_42_uv_timer_get_repeat(value x170)
{
   uv_timer_t* x171 = CTYPES_ADDR_OF_FATPTR(x170);
   uint64_t x172 = uv_timer_get_repeat(x171);
   return integers_copy_uint64(x172);
}
value luv_stub_43_uv_timer_get_due_in(value x173)
{
   uv_timer_t* x174 = CTYPES_ADDR_OF_FATPTR(x173);
   uint64_t x175 = uv_timer_get_due_in(x174);
   return integers_copy_uint64(x175);
}
value luv_stub_44_luv_get_prepare_trampoline(value x176)
{
   void(* x177)(uv_prepare_t*) = luv_get_prepare_trampoline();
   return CTYPES_FROM_PTR(x177);
}
value luv_stub_45_uv_prepare_init(value x179, value x178)
{
   uv_loop_t* x180 = CTYPES_ADDR_OF_FATPTR(x179);
   uv_prepare_t* x181 = CTYPES_ADDR_OF_FATPTR(x178);
   int x182 = uv_prepare_init(x180, x181);
   return Val_long(x182);
}
value luv_stub_46_uv_prepare_start(value x184, value x183)
{
   uv_prepare_t* x185 = CTYPES_ADDR_OF_FATPTR(x184);
   void(* x186)(uv_prepare_t*) = CTYPES_ADDR_OF_FATPTR(x183);
   int x187 = uv_prepare_start(x185, x186);
   return Val_long(x187);
}
value luv_stub_47_uv_prepare_stop(value x188)
{
   uv_prepare_t* x189 = CTYPES_ADDR_OF_FATPTR(x188);
   int x190 = uv_prepare_stop(x189);
   return Val_long(x190);
}
value luv_stub_48_luv_get_check_trampoline(value x191)
{
   void(* x192)(uv_check_t*) = luv_get_check_trampoline();
   return CTYPES_FROM_PTR(x192);
}
value luv_stub_49_uv_check_init(value x194, value x193)
{
   uv_loop_t* x195 = CTYPES_ADDR_OF_FATPTR(x194);
   uv_check_t* x196 = CTYPES_ADDR_OF_FATPTR(x193);
   int x197 = uv_check_init(x195, x196);
   return Val_long(x197);
}
value luv_stub_50_uv_check_start(value x199, value x198)
{
   uv_check_t* x200 = CTYPES_ADDR_OF_FATPTR(x199);
   void(* x201)(uv_check_t*) = CTYPES_ADDR_OF_FATPTR(x198);
   int x202 = uv_check_start(x200, x201);
   return Val_long(x202);
}
value luv_stub_51_uv_check_stop(value x203)
{
   uv_check_t* x204 = CTYPES_ADDR_OF_FATPTR(x203);
   int x205 = uv_check_stop(x204);
   return Val_long(x205);
}
value luv_stub_52_luv_get_idle_trampoline(value x206)
{
   void(* x207)(uv_idle_t*) = luv_get_idle_trampoline();
   return CTYPES_FROM_PTR(x207);
}
value luv_stub_53_uv_idle_init(value x209, value x208)
{
   uv_loop_t* x210 = CTYPES_ADDR_OF_FATPTR(x209);
   uv_idle_t* x211 = CTYPES_ADDR_OF_FATPTR(x208);
   int x212 = uv_idle_init(x210, x211);
   return Val_long(x212);
}
value luv_stub_54_uv_idle_start(value x214, value x213)
{
   uv_idle_t* x215 = CTYPES_ADDR_OF_FATPTR(x214);
   void(* x216)(uv_idle_t*) = CTYPES_ADDR_OF_FATPTR(x213);
   int x217 = uv_idle_start(x215, x216);
   return Val_long(x217);
}
value luv_stub_55_uv_idle_stop(value x218)
{
   uv_idle_t* x219 = CTYPES_ADDR_OF_FATPTR(x218);
   int x220 = uv_idle_stop(x219);
   return Val_long(x220);
}
value luv_stub_56_luv_get_async_trampoline(value x221)
{
   void(* x222)(uv_async_t*) = luv_get_async_trampoline();
   return CTYPES_FROM_PTR(x222);
}
value luv_stub_57_uv_async_init(value x225, value x224, value x223)
{
   uv_loop_t* x226 = CTYPES_ADDR_OF_FATPTR(x225);
   uv_async_t* x227 = CTYPES_ADDR_OF_FATPTR(x224);
   void(* x228)(uv_async_t*) = CTYPES_ADDR_OF_FATPTR(x223);
   int x229 = uv_async_init(x226, x227, x228);
   return Val_long(x229);
}
value luv_stub_58_uv_async_send(value x230)
{
   uv_async_t* x231 = CTYPES_ADDR_OF_FATPTR(x230);
   int x232 = uv_async_send(x231);
   return Val_long(x232);
}
value luv_stub_59_luv_get_poll_trampoline(value x233)
{
   void(* x234)(uv_poll_t*, int, int) = luv_get_poll_trampoline();
   return CTYPES_FROM_PTR(x234);
}
value luv_stub_60_uv_poll_init(value x237, value x236, value x235)
{
   uv_loop_t* x238 = CTYPES_ADDR_OF_FATPTR(x237);
   uv_poll_t* x239 = CTYPES_ADDR_OF_FATPTR(x236);
   int x240 = Long_val(x235);
   int x243 = uv_poll_init(x238, x239, x240);
   return Val_long(x243);
}
value luv_stub_61_uv_poll_init_socket(value x246, value x245, value x244)
{
   uv_loop_t* x247 = CTYPES_ADDR_OF_FATPTR(x246);
   uv_poll_t* x248 = CTYPES_ADDR_OF_FATPTR(x245);
   void* x249 = CTYPES_ADDR_OF_FATPTR(x244);
   uv_os_sock_t x251 = *(uv_os_sock_t*)x249;
   int x252 = uv_poll_init_socket(x247, x248, x251);
   return Val_long(x252);
}
value luv_stub_62_uv_poll_start(value x255, value x254, value x253)
{
   uv_poll_t* x256 = CTYPES_ADDR_OF_FATPTR(x255);
   int x257 = Long_val(x254);
   void(* x260)(uv_poll_t*, int, int) = CTYPES_ADDR_OF_FATPTR(x253);
   int x261 = uv_poll_start(x256, x257, x260);
   return Val_long(x261);
}
value luv_stub_63_uv_poll_stop(value x262)
{
   uv_poll_t* x263 = CTYPES_ADDR_OF_FATPTR(x262);
   int x264 = uv_poll_stop(x263);
   return Val_long(x264);
}
value luv_stub_64_luv_get_signal_trampoline(value x265)
{
   void(* x266)(uv_signal_t*, int) = luv_get_signal_trampoline();
   return CTYPES_FROM_PTR(x266);
}
value luv_stub_65_uv_signal_init(value x268, value x267)
{
   uv_loop_t* x269 = CTYPES_ADDR_OF_FATPTR(x268);
   uv_signal_t* x270 = CTYPES_ADDR_OF_FATPTR(x267);
   int x271 = uv_signal_init(x269, x270);
   return Val_long(x271);
}
value luv_stub_66_uv_signal_start(value x274, value x273, value x272)
{
   uv_signal_t* x275 = CTYPES_ADDR_OF_FATPTR(x274);
   void(* x276)(uv_signal_t*, int) = CTYPES_ADDR_OF_FATPTR(x273);
   int x277 = Long_val(x272);
   int x280 = uv_signal_start(x275, x276, x277);
   return Val_long(x280);
}
value luv_stub_67_uv_signal_start_oneshot(value x283, value x282, value x281)
{
   uv_signal_t* x284 = CTYPES_ADDR_OF_FATPTR(x283);
   void(* x285)(uv_signal_t*, int) = CTYPES_ADDR_OF_FATPTR(x282);
   int x286 = Long_val(x281);
   int x289 = uv_signal_start_oneshot(x284, x285, x286);
   return Val_long(x289);
}
value luv_stub_68_uv_signal_stop(value x290)
{
   uv_signal_t* x291 = CTYPES_ADDR_OF_FATPTR(x290);
   int x292 = uv_signal_stop(x291);
   return Val_long(x292);
}
value luv_stub_69_luv_get_connect_trampoline(value x293)
{
   void(* x294)(uv_connect_t*, int) = luv_get_connect_trampoline();
   return CTYPES_FROM_PTR(x294);
}
value luv_stub_70_luv_get_shutdown_trampoline(value x295)
{
   void(* x296)(uv_shutdown_t*, int) = luv_get_shutdown_trampoline();
   return CTYPES_FROM_PTR(x296);
}
value luv_stub_71_luv_get_write_trampoline(value x297)
{
   void(* x298)(uv_write_t*, int) = luv_get_write_trampoline();
   return CTYPES_FROM_PTR(x298);
}
value luv_stub_72_luv_get_connection_trampoline(value x299)
{
   void(* x300)(uv_stream_t*, int) = luv_get_connection_trampoline();
   return CTYPES_FROM_PTR(x300);
}
value luv_stub_73_luv_get_read_trampoline(value x301)
{
   void(* x302)(uv_stream_t*, ssize_t, uv_buf_t*) = luv_get_read_trampoline();
   return CTYPES_FROM_PTR(x302);
}
value luv_stub_74_uv_shutdown(value x305, value x304, value x303)
{
   uv_shutdown_t* x306 = CTYPES_ADDR_OF_FATPTR(x305);
   uv_stream_t* x307 = CTYPES_ADDR_OF_FATPTR(x304);
   void(* x308)(uv_shutdown_t*, int) = CTYPES_ADDR_OF_FATPTR(x303);
   int x309 = uv_shutdown(x306, x307, x308);
   return Val_long(x309);
}
value luv_stub_75_uv_listen(value x312, value x311, value x310)
{
   uv_stream_t* x313 = CTYPES_ADDR_OF_FATPTR(x312);
   int x314 = Long_val(x311);
   void(* x317)(uv_stream_t*, int) = CTYPES_ADDR_OF_FATPTR(x310);
   int x318 = uv_listen(x313, x314, x317);
   return Val_long(x318);
}
value luv_stub_76_uv_accept(value x320, value x319)
{
   uv_stream_t* x321 = CTYPES_ADDR_OF_FATPTR(x320);
   uv_stream_t* x322 = CTYPES_ADDR_OF_FATPTR(x319);
   int x323 = uv_accept(x321, x322);
   return Val_long(x323);
}
value luv_stub_77_luv_read_start(value x326, value x325, value x324)
{
   uv_stream_t* x327 = CTYPES_ADDR_OF_FATPTR(x326);
   void(* x328)(uv_handle_t*, size_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x325);
   void(* x329)(uv_stream_t*, ssize_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x324);
   int x330 = luv_read_start(x327, x328, x329);
   return Val_long(x330);
}
value luv_stub_78_uv_read_stop(value x331)
{
   uv_stream_t* x332 = CTYPES_ADDR_OF_FATPTR(x331);
   int x333 = uv_read_stop(x332);
   return Val_long(x333);
}
value luv_stub_79_uv_write2(value x339, value x338, value x337, value x336,
                            value x335, value x334)
{
   uv_write_t* x340 = CTYPES_ADDR_OF_FATPTR(x339);
   uv_stream_t* x341 = CTYPES_ADDR_OF_FATPTR(x338);
   uv_buf_t* x342 = CTYPES_ADDR_OF_FATPTR(x337);
   unsigned int x343 = ctypes_uint_val(x336);
   uv_stream_t* x346 = CTYPES_ADDR_OF_FATPTR(x335);
   void(* x347)(uv_write_t*, int) = CTYPES_ADDR_OF_FATPTR(x334);
   int x348 = uv_write2(x340, x341, x342, x343, x346, x347);
   return Val_long(x348);
}
value luv_stub_79_uv_write2_byte6(value* argv, int argc)
{
   value x349 = argv[5];
   value x350 = argv[4];
   value x351 = argv[3];
   value x352 = argv[2];
   value x353 = argv[1];
   value x354 = argv[0];
   return luv_stub_79_uv_write2(x354, x353, x352, x351, x350, x349);
}
value luv_stub_80_uv_try_write(value x357, value x356, value x355)
{
   uv_stream_t* x358 = CTYPES_ADDR_OF_FATPTR(x357);
   uv_buf_t* x359 = CTYPES_ADDR_OF_FATPTR(x356);
   unsigned int x360 = ctypes_uint_val(x355);
   int x363 = uv_try_write(x358, x359, x360);
   return Val_long(x363);
}
value luv_stub_81_uv_is_readable(value x364)
{
   uv_stream_t* x365 = CTYPES_ADDR_OF_FATPTR(x364);
   _Bool x366 = uv_is_readable(x365);
   return Val_bool(x366);
}
value luv_stub_82_uv_is_writable(value x367)
{
   uv_stream_t* x368 = CTYPES_ADDR_OF_FATPTR(x367);
   _Bool x369 = uv_is_writable(x368);
   return Val_bool(x369);
}
value luv_stub_83_uv_stream_set_blocking(value x371, value x370)
{
   uv_stream_t* x372 = CTYPES_ADDR_OF_FATPTR(x371);
   _Bool x373 = Bool_val(x370);
   int x376 = uv_stream_set_blocking(x372, x373);
   return Val_long(x376);
}
value luv_stub_84_uv_stream_get_write_queue_size(value x377)
{
   uv_stream_t* x378 = CTYPES_ADDR_OF_FATPTR(x377);
   size_t x379 = uv_stream_get_write_queue_size(x378);
   return ctypes_copy_size_t(x379);
}
value luv_stub_85_uv_tcp_init(value x381, value x380)
{
   uv_loop_t* x382 = CTYPES_ADDR_OF_FATPTR(x381);
   uv_tcp_t* x383 = CTYPES_ADDR_OF_FATPTR(x380);
   int x384 = uv_tcp_init(x382, x383);
   return Val_long(x384);
}
value luv_stub_86_uv_tcp_init_ex(value x387, value x386, value x385)
{
   uv_loop_t* x388 = CTYPES_ADDR_OF_FATPTR(x387);
   uv_tcp_t* x389 = CTYPES_ADDR_OF_FATPTR(x386);
   unsigned int x390 = ctypes_uint_val(x385);
   int x393 = uv_tcp_init_ex(x388, x389, x390);
   return Val_long(x393);
}
value luv_stub_87_uv_tcp_open(value x395, value x394)
{
   uv_tcp_t* x396 = CTYPES_ADDR_OF_FATPTR(x395);
   void* x397 = CTYPES_ADDR_OF_FATPTR(x394);
   uv_os_sock_t x399 = *(uv_os_sock_t*)x397;
   int x400 = uv_tcp_open(x396, x399);
   return Val_long(x400);
}
value luv_stub_88_uv_socketpair(value x405, value x404, value x403,
                                value x402, value x401)
{
   int x406 = Long_val(x405);
   int x409 = Long_val(x404);
   uv_os_sock_t* x412 = CTYPES_ADDR_OF_FATPTR(x403);
   int x413 = Long_val(x402);
   int x416 = Long_val(x401);
   int x419 = uv_socketpair(x406, x409, x412, x413, x416);
   return Val_long(x419);
}
value luv_stub_89_uv_tcp_nodelay(value x421, value x420)
{
   uv_tcp_t* x422 = CTYPES_ADDR_OF_FATPTR(x421);
   _Bool x423 = Bool_val(x420);
   int x426 = uv_tcp_nodelay(x422, x423);
   return Val_long(x426);
}
value luv_stub_90_uv_tcp_keepalive(value x429, value x428, value x427)
{
   uv_tcp_t* x430 = CTYPES_ADDR_OF_FATPTR(x429);
   _Bool x431 = Bool_val(x428);
   int x434 = Long_val(x427);
   int x437 = uv_tcp_keepalive(x430, x431, x434);
   return Val_long(x437);
}
value luv_stub_91_uv_tcp_simultaneous_accepts(value x439, value x438)
{
   uv_tcp_t* x440 = CTYPES_ADDR_OF_FATPTR(x439);
   _Bool x441 = Bool_val(x438);
   int x444 = uv_tcp_simultaneous_accepts(x440, x441);
   return Val_long(x444);
}
value luv_stub_92_uv_tcp_bind(value x447, value x446, value x445)
{
   uv_tcp_t* x448 = CTYPES_ADDR_OF_FATPTR(x447);
   struct sockaddr* x449 = CTYPES_ADDR_OF_FATPTR(x446);
   int x450 = Long_val(x445);
   int x453 = uv_tcp_bind(x448, x449, x450);
   return Val_long(x453);
}
value luv_stub_93_uv_tcp_getsockname(value x456, value x455, value x454)
{
   uv_tcp_t* x457 = CTYPES_ADDR_OF_FATPTR(x456);
   struct sockaddr* x458 = CTYPES_ADDR_OF_FATPTR(x455);
   int* x459 = CTYPES_ADDR_OF_FATPTR(x454);
   int x460 = uv_tcp_getsockname(x457, x458, x459);
   return Val_long(x460);
}
value luv_stub_94_uv_tcp_getpeername(value x463, value x462, value x461)
{
   uv_tcp_t* x464 = CTYPES_ADDR_OF_FATPTR(x463);
   struct sockaddr* x465 = CTYPES_ADDR_OF_FATPTR(x462);
   int* x466 = CTYPES_ADDR_OF_FATPTR(x461);
   int x467 = uv_tcp_getpeername(x464, x465, x466);
   return Val_long(x467);
}
value luv_stub_95_uv_tcp_connect(value x471, value x470, value x469,
                                 value x468)
{
   uv_connect_t* x472 = CTYPES_ADDR_OF_FATPTR(x471);
   uv_tcp_t* x473 = CTYPES_ADDR_OF_FATPTR(x470);
   struct sockaddr* x474 = CTYPES_ADDR_OF_FATPTR(x469);
   void(* x475)(uv_connect_t*, int) = CTYPES_ADDR_OF_FATPTR(x468);
   int x476 = uv_tcp_connect(x472, x473, x474, x475);
   return Val_long(x476);
}
value luv_stub_96_uv_tcp_close_reset(value x478, value x477)
{
   uv_tcp_t* x479 = CTYPES_ADDR_OF_FATPTR(x478);
   void(* x480)(uv_handle_t*) = CTYPES_ADDR_OF_FATPTR(x477);
   int x481 = uv_tcp_close_reset(x479, x480);
   return Val_long(x481);
}
value luv_stub_97_uv_pipe_init(value x484, value x483, value x482)
{
   uv_loop_t* x485 = CTYPES_ADDR_OF_FATPTR(x484);
   uv_pipe_t* x486 = CTYPES_ADDR_OF_FATPTR(x483);
   _Bool x487 = Bool_val(x482);
   int x490 = uv_pipe_init(x485, x486, x487);
   return Val_long(x490);
}
value luv_stub_98_uv_pipe(value x493, value x492, value x491)
{
   int* x494 = CTYPES_ADDR_OF_FATPTR(x493);
   int x495 = Long_val(x492);
   int x498 = Long_val(x491);
   int x501 = uv_pipe(x494, x495, x498);
   return Val_long(x501);
}
value luv_stub_99_uv_pipe_open(value x503, value x502)
{
   uv_pipe_t* x504 = CTYPES_ADDR_OF_FATPTR(x503);
   int x505 = Long_val(x502);
   int x508 = uv_pipe_open(x504, x505);
   return Val_long(x508);
}
value luv_stub_100_uv_pipe_connect(value x512, value x511, value x510,
                                   value x509)
{
   uv_connect_t* x513 = CTYPES_ADDR_OF_FATPTR(x512);
   uv_pipe_t* x514 = CTYPES_ADDR_OF_FATPTR(x511);
   char* x515 = CTYPES_PTR_OF_OCAML_STRING(x510);
   void(* x516)(uv_connect_t*, int) = CTYPES_ADDR_OF_FATPTR(x509);
   uv_pipe_connect(x513, x514, x515, x516);
   return Val_unit;
}
value luv_stub_101_uv_pipe_getsockname(value x520, value x519, value x518)
{
   uv_pipe_t* x521 = CTYPES_ADDR_OF_FATPTR(x520);
   unsigned char* x522 = CTYPES_PTR_OF_OCAML_BYTES(x519);
   size_t* x523 = CTYPES_ADDR_OF_FATPTR(x518);
   int x524 = uv_pipe_getsockname(x521, x522, x523);
   return Val_long(x524);
}
value luv_stub_102_uv_pipe_getpeername(value x527, value x526, value x525)
{
   uv_pipe_t* x528 = CTYPES_ADDR_OF_FATPTR(x527);
   unsigned char* x529 = CTYPES_PTR_OF_OCAML_BYTES(x526);
   size_t* x530 = CTYPES_ADDR_OF_FATPTR(x525);
   int x531 = uv_pipe_getpeername(x528, x529, x530);
   return Val_long(x531);
}
value luv_stub_103_uv_pipe_pending_instances(value x533, value x532)
{
   uv_pipe_t* x534 = CTYPES_ADDR_OF_FATPTR(x533);
   int x535 = Long_val(x532);
   uv_pipe_pending_instances(x534, x535);
   return Val_unit;
}
value luv_stub_104_uv_pipe_pending_count(value x539)
{
   uv_pipe_t* x540 = CTYPES_ADDR_OF_FATPTR(x539);
   int x541 = uv_pipe_pending_count(x540);
   return Val_long(x541);
}
value luv_stub_105_uv_pipe_pending_type(value x542)
{
   uv_pipe_t* x543 = CTYPES_ADDR_OF_FATPTR(x542);
   int x544 = uv_pipe_pending_type(x543);
   return Val_long(x544);
}
value luv_stub_106_uv_pipe_chmod(value x546, value x545)
{
   uv_pipe_t* x547 = CTYPES_ADDR_OF_FATPTR(x546);
   int x548 = Long_val(x545);
   int x551 = uv_pipe_chmod(x547, x548);
   return Val_long(x551);
}
value luv_stub_107_uv_tty_init(value x555, value x554, value x553,
                               value x552)
{
   uv_loop_t* x556 = CTYPES_ADDR_OF_FATPTR(x555);
   uv_tty_t* x557 = CTYPES_ADDR_OF_FATPTR(x554);
   int x558 = Long_val(x553);
   int x561 = Long_val(x552);
   int x564 = uv_tty_init(x556, x557, x558, x561);
   return Val_long(x564);
}
value luv_stub_108_uv_tty_set_mode(value x566, value x565)
{
   uv_tty_t* x567 = CTYPES_ADDR_OF_FATPTR(x566);
   uint32_t x568 = Uint32_val(x565);
   int x571 = uv_tty_set_mode(x567, x568);
   return Val_long(x571);
}
value luv_stub_109_uv_tty_reset_mode(value x572)
{
   int x573 = uv_tty_reset_mode();
   return Val_long(x573);
}
value luv_stub_110_uv_tty_get_winsize(value x576, value x575, value x574)
{
   uv_tty_t* x577 = CTYPES_ADDR_OF_FATPTR(x576);
   int* x578 = CTYPES_ADDR_OF_FATPTR(x575);
   int* x579 = CTYPES_ADDR_OF_FATPTR(x574);
   int x580 = uv_tty_get_winsize(x577, x578, x579);
   return Val_long(x580);
}
value luv_stub_111_uv_tty_set_vterm_state(value x581)
{
   uint32_t x582 = Uint32_val(x581);
   uv_tty_set_vterm_state(x582);
   return Val_unit;
}
value luv_stub_112_uv_tty_get_vterm_state(value x586)
{
   uv_tty_vtermstate_t* x587 = CTYPES_ADDR_OF_FATPTR(x586);
   int x588 = uv_tty_get_vterm_state(x587);
   return Val_long(x588);
}
value luv_stub_113_uv_udp_init(value x590, value x589)
{
   uv_loop_t* x591 = CTYPES_ADDR_OF_FATPTR(x590);
   uv_udp_t* x592 = CTYPES_ADDR_OF_FATPTR(x589);
   int x593 = uv_udp_init(x591, x592);
   return Val_long(x593);
}
value luv_stub_114_uv_udp_init_ex(value x596, value x595, value x594)
{
   uv_loop_t* x597 = CTYPES_ADDR_OF_FATPTR(x596);
   uv_udp_t* x598 = CTYPES_ADDR_OF_FATPTR(x595);
   unsigned int x599 = ctypes_uint_val(x594);
   int x602 = uv_udp_init_ex(x597, x598, x599);
   return Val_long(x602);
}
value luv_stub_115_uv_udp_open(value x604, value x603)
{
   uv_udp_t* x605 = CTYPES_ADDR_OF_FATPTR(x604);
   void* x606 = CTYPES_ADDR_OF_FATPTR(x603);
   uv_os_sock_t x608 = *(uv_os_sock_t*)x606;
   int x609 = uv_udp_open(x605, x608);
   return Val_long(x609);
}
value luv_stub_116_uv_udp_bind(value x612, value x611, value x610)
{
   uv_udp_t* x613 = CTYPES_ADDR_OF_FATPTR(x612);
   struct sockaddr* x614 = CTYPES_ADDR_OF_FATPTR(x611);
   int x615 = Long_val(x610);
   int x618 = uv_udp_bind(x613, x614, x615);
   return Val_long(x618);
}
value luv_stub_117_uv_udp_connect(value x620, value x619)
{
   uv_udp_t* x621 = CTYPES_ADDR_OF_FATPTR(x620);
   struct sockaddr* x622 = CTYPES_ADDR_OF_FATPTR(x619);
   int x623 = uv_udp_connect(x621, x622);
   return Val_long(x623);
}
value luv_stub_118_uv_udp_getpeername(value x626, value x625, value x624)
{
   uv_udp_t* x627 = CTYPES_ADDR_OF_FATPTR(x626);
   struct sockaddr* x628 = CTYPES_ADDR_OF_FATPTR(x625);
   int* x629 = CTYPES_ADDR_OF_FATPTR(x624);
   int x630 = uv_udp_getpeername(x627, x628, x629);
   return Val_long(x630);
}
value luv_stub_119_uv_udp_getsockname(value x633, value x632, value x631)
{
   uv_udp_t* x634 = CTYPES_ADDR_OF_FATPTR(x633);
   struct sockaddr* x635 = CTYPES_ADDR_OF_FATPTR(x632);
   int* x636 = CTYPES_ADDR_OF_FATPTR(x631);
   int x637 = uv_udp_getsockname(x634, x635, x636);
   return Val_long(x637);
}
value luv_stub_120_uv_udp_set_membership(value x641, value x640, value x639,
                                         value x638)
{
   uv_udp_t* x642 = CTYPES_ADDR_OF_FATPTR(x641);
   char* x643 = CTYPES_PTR_OF_OCAML_STRING(x640);
   char* x644 = CTYPES_PTR_OF_OCAML_STRING(x639);
   uint32_t x645 = Uint32_val(x638);
   int x648 = uv_udp_set_membership(x642, x643, x644, x645);
   return Val_long(x648);
}
value luv_stub_121_uv_udp_set_source_membership(value x653, value x652,
                                                value x651, value x650,
                                                value x649)
{
   uv_udp_t* x654 = CTYPES_ADDR_OF_FATPTR(x653);
   char* x655 = CTYPES_PTR_OF_OCAML_STRING(x652);
   char* x656 = CTYPES_PTR_OF_OCAML_STRING(x651);
   char* x657 = CTYPES_PTR_OF_OCAML_STRING(x650);
   uint32_t x658 = Uint32_val(x649);
   int x661 = uv_udp_set_source_membership(x654, x655, x656, x657, x658);
   return Val_long(x661);
}
value luv_stub_122_uv_udp_set_multicast_loop(value x663, value x662)
{
   uv_udp_t* x664 = CTYPES_ADDR_OF_FATPTR(x663);
   _Bool x665 = Bool_val(x662);
   int x668 = uv_udp_set_multicast_loop(x664, x665);
   return Val_long(x668);
}
value luv_stub_123_uv_udp_set_multicast_ttl(value x670, value x669)
{
   uv_udp_t* x671 = CTYPES_ADDR_OF_FATPTR(x670);
   int x672 = Long_val(x669);
   int x675 = uv_udp_set_multicast_ttl(x671, x672);
   return Val_long(x675);
}
value luv_stub_124_uv_udp_set_multicast_interface(value x677, value x676)
{
   uv_udp_t* x678 = CTYPES_ADDR_OF_FATPTR(x677);
   char* x679 = CTYPES_PTR_OF_OCAML_STRING(x676);
   int x680 = uv_udp_set_multicast_interface(x678, x679);
   return Val_long(x680);
}
value luv_stub_125_uv_udp_set_broadcast(value x682, value x681)
{
   uv_udp_t* x683 = CTYPES_ADDR_OF_FATPTR(x682);
   _Bool x684 = Bool_val(x681);
   int x687 = uv_udp_set_broadcast(x683, x684);
   return Val_long(x687);
}
value luv_stub_126_uv_udp_set_ttl(value x689, value x688)
{
   uv_udp_t* x690 = CTYPES_ADDR_OF_FATPTR(x689);
   int x691 = Long_val(x688);
   int x694 = uv_udp_set_ttl(x690, x691);
   return Val_long(x694);
}
value luv_stub_127_luv_get_send_trampoline(value x695)
{
   void(* x696)(uv_udp_send_t*, int) = luv_get_send_trampoline();
   return CTYPES_FROM_PTR(x696);
}
value luv_stub_128_uv_udp_send(value x702, value x701, value x700,
                               value x699, value x698, value x697)
{
   uv_udp_send_t* x703 = CTYPES_ADDR_OF_FATPTR(x702);
   uv_udp_t* x704 = CTYPES_ADDR_OF_FATPTR(x701);
   uv_buf_t* x705 = CTYPES_ADDR_OF_FATPTR(x700);
   unsigned int x706 = ctypes_uint_val(x699);
   struct sockaddr* x709 = CTYPES_ADDR_OF_FATPTR(x698);
   void(* x710)(uv_udp_send_t*, int) = CTYPES_ADDR_OF_FATPTR(x697);
   int x711 = uv_udp_send(x703, x704, x705, x706, x709, x710);
   return Val_long(x711);
}
value luv_stub_128_uv_udp_send_byte6(value* argv, int argc)
{
   value x712 = argv[5];
   value x713 = argv[4];
   value x714 = argv[3];
   value x715 = argv[2];
   value x716 = argv[1];
   value x717 = argv[0];
   return luv_stub_128_uv_udp_send(x717, x716, x715, x714, x713, x712);
}
value luv_stub_129_uv_udp_try_send(value x721, value x720, value x719,
                                   value x718)
{
   uv_udp_t* x722 = CTYPES_ADDR_OF_FATPTR(x721);
   uv_buf_t* x723 = CTYPES_ADDR_OF_FATPTR(x720);
   unsigned int x724 = ctypes_uint_val(x719);
   struct sockaddr* x727 = CTYPES_ADDR_OF_FATPTR(x718);
   int x728 = uv_udp_try_send(x722, x723, x724, x727);
   return Val_long(x728);
}
value luv_stub_130_luv_get_recv_trampoline(value x729)
{
   void(* x730)(uv_udp_t*, ssize_t, uv_buf_t*, struct sockaddr*, unsigned int)
   = luv_get_recv_trampoline();
   return CTYPES_FROM_PTR(x730);
}
value luv_stub_131_luv_udp_recv_start(value x733, value x732, value x731)
{
   uv_udp_t* x734 = CTYPES_ADDR_OF_FATPTR(x733);
   void(* x735)(uv_handle_t*, size_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x732);
   void(* x736)(uv_udp_t*, ssize_t, uv_buf_t*, struct sockaddr*, unsigned int)
   = CTYPES_ADDR_OF_FATPTR(x731);
   int x737 = luv_udp_recv_start(x734, x735, x736);
   return Val_long(x737);
}
value luv_stub_132_uv_udp_recv_stop(value x738)
{
   uv_udp_t* x739 = CTYPES_ADDR_OF_FATPTR(x738);
   int x740 = uv_udp_recv_stop(x739);
   return Val_long(x740);
}
value luv_stub_133_uv_udp_using_recvmmsg(value x741)
{
   uv_udp_t* x742 = CTYPES_ADDR_OF_FATPTR(x741);
   _Bool x743 = uv_udp_using_recvmmsg(x742);
   return Val_bool(x743);
}
value luv_stub_134_uv_udp_get_send_queue_size(value x744)
{
   uv_udp_t* x745 = CTYPES_ADDR_OF_FATPTR(x744);
   size_t x746 = uv_udp_get_send_queue_size(x745);
   return ctypes_copy_size_t(x746);
}
value luv_stub_135_uv_udp_get_send_queue_count(value x747)
{
   uv_udp_t* x748 = CTYPES_ADDR_OF_FATPTR(x747);
   size_t x749 = uv_udp_get_send_queue_count(x748);
   return ctypes_copy_size_t(x749);
}
value luv_stub_136_luv_get_exit_trampoline(value x750)
{
   void(* x751)(uv_process_t*, int64_t, int) = luv_get_exit_trampoline();
   return CTYPES_FROM_PTR(x751);
}
value luv_stub_137_luv_null_exit_trampoline(value x752)
{
   void(* x753)(uv_process_t*, int64_t, int) = luv_null_exit_trampoline();
   return CTYPES_FROM_PTR(x753);
}
value luv_stub_138_uv_disable_stdio_inheritance(value x754)
{
   uv_disable_stdio_inheritance();
   return Val_unit;
}
value luv_stub_139_luv_spawn(value x771, value x770, value x769, value x768,
                             value x767, value x766, value x765, value x764,
                             value x763, value x762, value x761, value x760,
                             value x759, value x758, value x757, value x756)
{
   uv_loop_t* x772 = CTYPES_ADDR_OF_FATPTR(x771);
   uv_process_t* x773 = CTYPES_ADDR_OF_FATPTR(x770);
   void(* x774)(uv_process_t*, int64_t, int) = CTYPES_ADDR_OF_FATPTR(x769);
   char* x775 = CTYPES_ADDR_OF_FATPTR(x768);
   char** x776 = CTYPES_ADDR_OF_FATPTR(x767);
   int x777 = Long_val(x766);
   char** x780 = CTYPES_ADDR_OF_FATPTR(x765);
   int x781 = Long_val(x764);
   _Bool x784 = Bool_val(x763);
   char* x787 = CTYPES_ADDR_OF_FATPTR(x762);
   _Bool x788 = Bool_val(x761);
   int x791 = Long_val(x760);
   int x794 = Long_val(x759);
   uv_stdio_container_t* x797 = CTYPES_ADDR_OF_FATPTR(x758);
   int x798 = Long_val(x757);
   int x801 = Long_val(x756);
   int x804 =
   luv_spawn(x772, x773, x774, x775, x776, x777, x780, x781, x784, x787,
             x788, x791, x794, x797, x798, x801);
   return Val_long(x804);
}
value luv_stub_139_luv_spawn_byte16(value* argv, int argc)
{
   value x805 = argv[15];
   value x806 = argv[14];
   value x807 = argv[13];
   value x808 = argv[12];
   value x809 = argv[11];
   value x810 = argv[10];
   value x811 = argv[9];
   value x812 = argv[8];
   value x813 = argv[7];
   value x814 = argv[6];
   value x815 = argv[5];
   value x816 = argv[4];
   value x817 = argv[3];
   value x818 = argv[2];
   value x819 = argv[1];
   value x820 = argv[0];
   return
     luv_stub_139_luv_spawn(x820, x819, x818, x817, x816, x815, x814, 
                            x813, x812, x811, x810, x809, x808, x807, 
                            x806, x805);
}
value luv_stub_140_uv_process_kill(value x822, value x821)
{
   uv_process_t* x823 = CTYPES_ADDR_OF_FATPTR(x822);
   int x824 = Long_val(x821);
   int x827 = uv_process_kill(x823, x824);
   return Val_long(x827);
}
value luv_stub_141_uv_kill(value x829, value x828)
{
   int x830 = Long_val(x829);
   int x833 = Long_val(x828);
   int x836 = uv_kill(x830, x833);
   return Val_long(x836);
}
value luv_stub_142_uv_process_get_pid(value x837)
{
   uv_process_t* x838 = CTYPES_ADDR_OF_FATPTR(x837);
   int x839 = uv_process_get_pid(x838);
   return Val_long(x839);
}
value luv_stub_143_luv_get_fs_event_trampoline(value x840)
{
   void(* x841)(uv_fs_event_t*, char*, int, int) =
   luv_get_fs_event_trampoline();
   return CTYPES_FROM_PTR(x841);
}
value luv_stub_144_uv_fs_event_init(value x843, value x842)
{
   uv_loop_t* x844 = CTYPES_ADDR_OF_FATPTR(x843);
   uv_fs_event_t* x845 = CTYPES_ADDR_OF_FATPTR(x842);
   int x846 = uv_fs_event_init(x844, x845);
   return Val_long(x846);
}
value luv_stub_145_luv_fs_event_start(value x850, value x849, value x848,
                                      value x847)
{
   uv_fs_event_t* x851 = CTYPES_ADDR_OF_FATPTR(x850);
   void(* x852)(uv_fs_event_t*, char*, int, int) =
   CTYPES_ADDR_OF_FATPTR(x849);
   char* x853 = CTYPES_PTR_OF_OCAML_STRING(x848);
   int x854 = Long_val(x847);
   int x857 = luv_fs_event_start(x851, x852, x853, x854);
   return Val_long(x857);
}
value luv_stub_146_uv_fs_event_stop(value x858)
{
   uv_fs_event_t* x859 = CTYPES_ADDR_OF_FATPTR(x858);
   int x860 = uv_fs_event_stop(x859);
   return Val_long(x860);
}
value luv_stub_147_luv_get_fs_poll_trampoline(value x861)
{
   void(* x862)(uv_fs_poll_t*, int, uv_stat_t*, uv_stat_t*) =
   luv_get_fs_poll_trampoline();
   return CTYPES_FROM_PTR(x862);
}
value luv_stub_148_uv_fs_poll_init(value x864, value x863)
{
   uv_loop_t* x865 = CTYPES_ADDR_OF_FATPTR(x864);
   uv_fs_poll_t* x866 = CTYPES_ADDR_OF_FATPTR(x863);
   int x867 = uv_fs_poll_init(x865, x866);
   return Val_long(x867);
}
value luv_stub_149_luv_fs_poll_start(value x871, value x870, value x869,
                                     value x868)
{
   uv_fs_poll_t* x872 = CTYPES_ADDR_OF_FATPTR(x871);
   void(* x873)(uv_fs_poll_t*, int, uv_stat_t*, uv_stat_t*) =
   CTYPES_ADDR_OF_FATPTR(x870);
   char* x874 = CTYPES_PTR_OF_OCAML_STRING(x869);
   int x875 = Long_val(x868);
   int x878 = luv_fs_poll_start(x872, x873, x874, x875);
   return Val_long(x878);
}
value luv_stub_150_uv_fs_poll_stop(value x879)
{
   uv_fs_poll_t* x880 = CTYPES_ADDR_OF_FATPTR(x879);
   int x881 = uv_fs_poll_stop(x880);
   return Val_long(x881);
}
value luv_stub_151_luv_get_getaddrinfo_trampoline(value x882)
{
   void(* x883)(uv_getaddrinfo_t*, int, struct addrinfo*) =
   luv_get_getaddrinfo_trampoline();
   return CTYPES_FROM_PTR(x883);
}
value luv_stub_152_uv_getaddrinfo(value x889, value x888, value x887,
                                  value x886, value x885, value x884)
{
   uv_loop_t* x890 = CTYPES_ADDR_OF_FATPTR(x889);
   uv_getaddrinfo_t* x891 = CTYPES_ADDR_OF_FATPTR(x888);
   void(* x892)(uv_getaddrinfo_t*, int, struct addrinfo*) =
   CTYPES_ADDR_OF_FATPTR(x887);
   char* x893 = CTYPES_ADDR_OF_FATPTR(x886);
   char* x894 = CTYPES_ADDR_OF_FATPTR(x885);
   struct addrinfo* x895 = CTYPES_ADDR_OF_FATPTR(x884);
   int x896 = uv_getaddrinfo(x890, x891, x892, x893, x894, x895);
   return Val_long(x896);
}
value luv_stub_152_uv_getaddrinfo_byte6(value* argv, int argc)
{
   value x897 = argv[5];
   value x898 = argv[4];
   value x899 = argv[3];
   value x900 = argv[2];
   value x901 = argv[1];
   value x902 = argv[0];
   return luv_stub_152_uv_getaddrinfo(x902, x901, x900, x899, x898, x897);
}
value luv_stub_153_uv_freeaddrinfo(value x903)
{
   struct addrinfo* x904 = CTYPES_ADDR_OF_FATPTR(x903);
   uv_freeaddrinfo(x904);
   return Val_unit;
}
value luv_stub_154_luv_get_getnameinfo_trampoline(value x906)
{
   void(* x907)(uv_getnameinfo_t*, int, char*, char*) =
   luv_get_getnameinfo_trampoline();
   return CTYPES_FROM_PTR(x907);
}
value luv_stub_155_luv_getnameinfo(value x912, value x911, value x910,
                                   value x909, value x908)
{
   uv_loop_t* x913 = CTYPES_ADDR_OF_FATPTR(x912);
   uv_getnameinfo_t* x914 = CTYPES_ADDR_OF_FATPTR(x911);
   void(* x915)(uv_getnameinfo_t*, int, char*, char*) =
   CTYPES_ADDR_OF_FATPTR(x910);
   struct sockaddr* x916 = CTYPES_ADDR_OF_FATPTR(x909);
   int x917 = Long_val(x908);
   int x920 = luv_getnameinfo(x913, x914, x915, x916, x917);
   return Val_long(x920);
}
value luv_stub_156_uv_dlopen(value x922, value x921)
{
   char* x923 = CTYPES_PTR_OF_OCAML_STRING(x922);
   uv_lib_t* x924 = CTYPES_ADDR_OF_FATPTR(x921);
   _Bool x925 = uv_dlopen(x923, x924);
   return Val_bool(x925);
}
value luv_stub_157_uv_dlclose(value x926)
{
   uv_lib_t* x927 = CTYPES_ADDR_OF_FATPTR(x926);
   uv_dlclose(x927);
   return Val_unit;
}
value luv_stub_158_uv_dlsym(value x931, value x930, value x929)
{
   uv_lib_t* x932 = CTYPES_ADDR_OF_FATPTR(x931);
   char* x933 = CTYPES_PTR_OF_OCAML_STRING(x930);
   void** x934 = CTYPES_ADDR_OF_FATPTR(x929);
   _Bool x935 = uv_dlsym(x932, x933, x934);
   return Val_bool(x935);
}
value luv_stub_159_luv_dlerror(value x936)
{
   uv_lib_t* x937 = CTYPES_ADDR_OF_FATPTR(x936);
   char* x938 = luv_dlerror(x937);
   return CTYPES_FROM_PTR(x938);
}
value luv_stub_160_uv_get_osfhandle(value x939)
{
   int x940 = Long_val(x939);
   uv_os_fd_t x943 = uv_get_osfhandle(x940);
   return ctypes_copy_bytes(&x943, 4);
}
value luv_stub_161_uv_open_osfhandle(value x944)
{
   void* x945 = CTYPES_ADDR_OF_FATPTR(x944);
   uv_os_fd_t x947 = *(uv_os_fd_t*)x945;
   int x948 = uv_open_osfhandle(x947);
   return Val_long(x948);
}
value luv_stub_162_memcpy(value x951, value x950, value x949)
{
   unsigned char* x952 = CTYPES_PTR_OF_OCAML_BYTES(x951);
   char* x953 = CTYPES_ADDR_OF_FATPTR(x950);
   int x954 = Long_val(x949);
   memcpy(x952, x953, x954);
   return Val_unit;
}
value luv_stub_163_memcpy(value x960, value x959, value x958)
{
   char* x961 = CTYPES_ADDR_OF_FATPTR(x960);
   unsigned char* x962 = CTYPES_PTR_OF_OCAML_BYTES(x959);
   int x963 = Long_val(x958);
   memcpy(x961, x962, x963);
   return Val_unit;
}
value luv_stub_164_luv_get_work_trampoline(value x967)
{
   void(* x968)(uv_work_t*) = luv_get_work_trampoline();
   return CTYPES_FROM_PTR(x968);
}
value luv_stub_165_luv_get_after_work_trampoline(value x969)
{
   void(* x970)(uv_work_t*, int) = luv_get_after_work_trampoline();
   return CTYPES_FROM_PTR(x970);
}
value luv_stub_166_luv_get_c_work_trampoline(value x971)
{
   void(* x972)(uv_work_t*) = luv_get_c_work_trampoline();
   return CTYPES_FROM_PTR(x972);
}
value luv_stub_167_luv_get_after_c_work_trampoline(value x973)
{
   void(* x974)(uv_work_t*, int) = luv_get_after_c_work_trampoline();
   return CTYPES_FROM_PTR(x974);
}
value luv_stub_168_luv_add_c_function_and_argument(value x977, value x976,
                                                   value x975)
{
   uv_work_t* x978 = CTYPES_ADDR_OF_FATPTR(x977);
   intnat x979 = Nativeint_val(x976);
   intnat x982 = Nativeint_val(x975);
   _Bool x985 = luv_add_c_function_and_argument(x978, x979, x982);
   return Val_bool(x985);
}
value luv_stub_169_uv_queue_work(value x989, value x988, value x987,
                                 value x986)
{
   uv_loop_t* x990 = CTYPES_ADDR_OF_FATPTR(x989);
   uv_work_t* x991 = CTYPES_ADDR_OF_FATPTR(x988);
   void(* x992)(uv_work_t*) = CTYPES_ADDR_OF_FATPTR(x987);
   void(* x993)(uv_work_t*, int) = CTYPES_ADDR_OF_FATPTR(x986);
   int x994 = uv_queue_work(x990, x991, x992, x993);
   return Val_long(x994);
}
value luv_stub_170_luv_get_thread_trampoline(value x995)
{
   void(* x996)(void*) = luv_get_thread_trampoline();
   return CTYPES_FROM_PTR(x996);
}
value luv_stub_171_uv_thread_create_ex(value x1000, value x999, value x998,
                                       value x997)
{
   uv_thread_t* x1001 = CTYPES_ADDR_OF_FATPTR(x1000);
   uv_thread_options_t* x1002 = CTYPES_ADDR_OF_FATPTR(x999);
   void(* x1003)(void*) = CTYPES_ADDR_OF_FATPTR(x998);
   void* x1004 = CTYPES_ADDR_OF_FATPTR(x997);
   int x1005 = uv_thread_create_ex(x1001, x1002, x1003, x1004);
   return Val_long(x1005);
}
value luv_stub_172_luv_thread_create_c(value x1009, value x1008, value x1007,
                                       value x1006)
{
   uv_thread_t* x1010 = CTYPES_ADDR_OF_FATPTR(x1009);
   uv_thread_options_t* x1011 = CTYPES_ADDR_OF_FATPTR(x1008);
   intnat x1012 = Nativeint_val(x1007);
   intnat x1015 = Nativeint_val(x1006);
   int x1018 = luv_thread_create_c(x1010, x1011, x1012, x1015);
   return Val_long(x1018);
}
value luv_stub_173_uv_thread_self(value x1019)
{
   uv_thread_t x1020 = uv_thread_self();
   return ctypes_copy_bytes(&x1020, 8);
}
value luv_stub_174_uv_thread_equal(value x1022, value x1021)
{
   uv_thread_t* x1023 = CTYPES_ADDR_OF_FATPTR(x1022);
   uv_thread_t* x1024 = CTYPES_ADDR_OF_FATPTR(x1021);
   _Bool x1025 = uv_thread_equal(x1023, x1024);
   return Val_bool(x1025);
}
value luv_stub_175_uv_key_create(value x1026)
{
   uv_key_t* x1027 = CTYPES_ADDR_OF_FATPTR(x1026);
   int x1028 = uv_key_create(x1027);
   return Val_long(x1028);
}
value luv_stub_176_uv_key_delete(value x1029)
{
   uv_key_t* x1030 = CTYPES_ADDR_OF_FATPTR(x1029);
   uv_key_delete(x1030);
   return Val_unit;
}
value luv_stub_177_uv_key_get(value x1032)
{
   uv_key_t* x1033 = CTYPES_ADDR_OF_FATPTR(x1032);
   void* x1034 = uv_key_get(x1033);
   return CTYPES_FROM_PTR(x1034);
}
value luv_stub_178_uv_key_set(value x1036, value x1035)
{
   uv_key_t* x1037 = CTYPES_ADDR_OF_FATPTR(x1036);
   void* x1038 = CTYPES_ADDR_OF_FATPTR(x1035);
   uv_key_set(x1037, x1038);
   return Val_unit;
}
value luv_stub_179_luv_get_once_trampoline(value x1040)
{
   void(* x1041)(void) = luv_get_once_trampoline();
   return CTYPES_FROM_PTR(x1041);
}
value luv_stub_180_luv_once_init(value x1042)
{
   uv_once_t* x1043 = CTYPES_ADDR_OF_FATPTR(x1042);
   int x1044 = luv_once_init(x1043);
   return Val_long(x1044);
}
value luv_stub_181_uv_once(value x1046, value x1045)
{
   uv_once_t* x1047 = CTYPES_ADDR_OF_FATPTR(x1046);
   void(* x1048)(void) = CTYPES_ADDR_OF_FATPTR(x1045);
   uv_once(x1047, x1048);
   return Val_unit;
}
value luv_stub_182_uv_mutex_init(value x1050)
{
   uv_mutex_t* x1051 = CTYPES_ADDR_OF_FATPTR(x1050);
   int x1052 = uv_mutex_init(x1051);
   return Val_long(x1052);
}
value luv_stub_183_uv_mutex_init_recursive(value x1053)
{
   uv_mutex_t* x1054 = CTYPES_ADDR_OF_FATPTR(x1053);
   int x1055 = uv_mutex_init_recursive(x1054);
   return Val_long(x1055);
}
value luv_stub_184_uv_mutex_destroy(value x1056)
{
   uv_mutex_t* x1057 = CTYPES_ADDR_OF_FATPTR(x1056);
   uv_mutex_destroy(x1057);
   return Val_unit;
}
value luv_stub_185_uv_mutex_trylock(value x1059)
{
   uv_mutex_t* x1060 = CTYPES_ADDR_OF_FATPTR(x1059);
   int x1061 = uv_mutex_trylock(x1060);
   return Val_long(x1061);
}
value luv_stub_186_uv_mutex_unlock(value x1062)
{
   uv_mutex_t* x1063 = CTYPES_ADDR_OF_FATPTR(x1062);
   uv_mutex_unlock(x1063);
   return Val_unit;
}
value luv_stub_187_uv_rwlock_init(value x1065)
{
   uv_rwlock_t* x1066 = CTYPES_ADDR_OF_FATPTR(x1065);
   int x1067 = uv_rwlock_init(x1066);
   return Val_long(x1067);
}
value luv_stub_188_uv_rwlock_destroy(value x1068)
{
   uv_rwlock_t* x1069 = CTYPES_ADDR_OF_FATPTR(x1068);
   uv_rwlock_destroy(x1069);
   return Val_unit;
}
value luv_stub_189_uv_rwlock_tryrdlock(value x1071)
{
   uv_rwlock_t* x1072 = CTYPES_ADDR_OF_FATPTR(x1071);
   int x1073 = uv_rwlock_tryrdlock(x1072);
   return Val_long(x1073);
}
value luv_stub_190_uv_rwlock_rdunlock(value x1074)
{
   uv_rwlock_t* x1075 = CTYPES_ADDR_OF_FATPTR(x1074);
   uv_rwlock_rdunlock(x1075);
   return Val_unit;
}
value luv_stub_191_uv_rwlock_trywrlock(value x1077)
{
   uv_rwlock_t* x1078 = CTYPES_ADDR_OF_FATPTR(x1077);
   int x1079 = uv_rwlock_trywrlock(x1078);
   return Val_long(x1079);
}
value luv_stub_192_uv_rwlock_wrunlock(value x1080)
{
   uv_rwlock_t* x1081 = CTYPES_ADDR_OF_FATPTR(x1080);
   uv_rwlock_wrunlock(x1081);
   return Val_unit;
}
value luv_stub_193_uv_sem_init(value x1084, value x1083)
{
   uv_sem_t* x1085 = CTYPES_ADDR_OF_FATPTR(x1084);
   unsigned int x1086 = ctypes_uint_val(x1083);
   int x1089 = uv_sem_init(x1085, x1086);
   return Val_long(x1089);
}
value luv_stub_194_uv_sem_destroy(value x1090)
{
   uv_sem_t* x1091 = CTYPES_ADDR_OF_FATPTR(x1090);
   uv_sem_destroy(x1091);
   return Val_unit;
}
value luv_stub_195_uv_sem_post(value x1093)
{
   uv_sem_t* x1094 = CTYPES_ADDR_OF_FATPTR(x1093);
   uv_sem_post(x1094);
   return Val_unit;
}
value luv_stub_196_uv_sem_trywait(value x1096)
{
   uv_sem_t* x1097 = CTYPES_ADDR_OF_FATPTR(x1096);
   int x1098 = uv_sem_trywait(x1097);
   return Val_long(x1098);
}
value luv_stub_197_uv_cond_init(value x1099)
{
   uv_cond_t* x1100 = CTYPES_ADDR_OF_FATPTR(x1099);
   int x1101 = uv_cond_init(x1100);
   return Val_long(x1101);
}
value luv_stub_198_uv_cond_destroy(value x1102)
{
   uv_cond_t* x1103 = CTYPES_ADDR_OF_FATPTR(x1102);
   uv_cond_destroy(x1103);
   return Val_unit;
}
value luv_stub_199_uv_cond_signal(value x1105)
{
   uv_cond_t* x1106 = CTYPES_ADDR_OF_FATPTR(x1105);
   uv_cond_signal(x1106);
   return Val_unit;
}
value luv_stub_200_uv_cond_broadcast(value x1108)
{
   uv_cond_t* x1109 = CTYPES_ADDR_OF_FATPTR(x1108);
   uv_cond_broadcast(x1109);
   return Val_unit;
}
value luv_stub_201_uv_barrier_init(value x1112, value x1111)
{
   uv_barrier_t* x1113 = CTYPES_ADDR_OF_FATPTR(x1112);
   unsigned int x1114 = ctypes_uint_val(x1111);
   int x1117 = uv_barrier_init(x1113, x1114);
   return Val_long(x1117);
}
value luv_stub_202_uv_barrier_destroy(value x1118)
{
   uv_barrier_t* x1119 = CTYPES_ADDR_OF_FATPTR(x1118);
   uv_barrier_destroy(x1119);
   return Val_unit;
}
value luv_stub_203_uv_ip4_addr(value x1123, value x1122, value x1121)
{
   char* x1124 = CTYPES_PTR_OF_OCAML_STRING(x1123);
   int x1125 = Long_val(x1122);
   struct sockaddr_in* x1128 = CTYPES_ADDR_OF_FATPTR(x1121);
   int x1129 = uv_ip4_addr(x1124, x1125, x1128);
   return Val_long(x1129);
}
value luv_stub_204_uv_ip6_addr(value x1132, value x1131, value x1130)
{
   char* x1133 = CTYPES_PTR_OF_OCAML_STRING(x1132);
   int x1134 = Long_val(x1131);
   struct sockaddr_in6* x1137 = CTYPES_ADDR_OF_FATPTR(x1130);
   int x1138 = uv_ip6_addr(x1133, x1134, x1137);
   return Val_long(x1138);
}
value luv_stub_205_uv_ip4_name(value x1141, value x1140, value x1139)
{
   struct sockaddr_in* x1142 = CTYPES_ADDR_OF_FATPTR(x1141);
   unsigned char* x1143 = CTYPES_PTR_OF_OCAML_BYTES(x1140);
   size_t x1144 = ctypes_size_t_val(x1139);
   int x1147 = uv_ip4_name(x1142, x1143, x1144);
   return Val_long(x1147);
}
value luv_stub_206_uv_ip6_name(value x1150, value x1149, value x1148)
{
   struct sockaddr_in6* x1151 = CTYPES_ADDR_OF_FATPTR(x1150);
   unsigned char* x1152 = CTYPES_PTR_OF_OCAML_BYTES(x1149);
   size_t x1153 = ctypes_size_t_val(x1148);
   int x1156 = uv_ip6_name(x1151, x1152, x1153);
   return Val_long(x1156);
}
value luv_stub_207_memcpy(value x1159, value x1158, value x1157)
{
   struct sockaddr_storage* x1160 = CTYPES_ADDR_OF_FATPTR(x1159);
   struct sockaddr* x1161 = CTYPES_ADDR_OF_FATPTR(x1158);
   int x1162 = Long_val(x1157);
   memcpy(x1160, x1161, x1162);
   return Val_unit;
}
value luv_stub_208_ntohs(value x1166)
{
   unsigned short x1167 = ctypes_ushort_val(x1166);
   unsigned short x1170 = ntohs(x1167);
   return ctypes_copy_ushort(x1170);
}
value luv_stub_209_uv_resident_set_memory(value x1171)
{
   size_t* x1172 = CTYPES_ADDR_OF_FATPTR(x1171);
   int x1173 = uv_resident_set_memory(x1172);
   return Val_long(x1173);
}
value luv_stub_210_uv_uptime(value x1174)
{
   double* x1175 = CTYPES_ADDR_OF_FATPTR(x1174);
   int x1176 = uv_uptime(x1175);
   return Val_long(x1176);
}
value luv_stub_211_uv_loadavg(value x1177)
{
   double* x1178 = CTYPES_ADDR_OF_FATPTR(x1177);
   uv_loadavg(x1178);
   return Val_unit;
}
value luv_stub_212_uv_get_free_memory(value x1180)
{
   uint64_t x1181 = uv_get_free_memory();
   return integers_copy_uint64(x1181);
}
value luv_stub_213_uv_get_total_memory(value x1182)
{
   uint64_t x1183 = uv_get_total_memory();
   return integers_copy_uint64(x1183);
}
value luv_stub_214_uv_get_constrained_memory(value x1184)
{
   uint64_t x1185 = uv_get_constrained_memory();
   return integers_copy_uint64(x1185);
}
value luv_stub_215_uv_os_getpriority(value x1187, value x1186)
{
   int x1188 = Long_val(x1187);
   int* x1191 = CTYPES_ADDR_OF_FATPTR(x1186);
   int x1192 = uv_os_getpriority(x1188, x1191);
   return Val_long(x1192);
}
value luv_stub_216_uv_os_setpriority(value x1194, value x1193)
{
   int x1195 = Long_val(x1194);
   int x1198 = Long_val(x1193);
   int x1201 = uv_os_setpriority(x1195, x1198);
   return Val_long(x1201);
}
value luv_stub_217_uv_getrusage(value x1202)
{
   uv_rusage_t* x1203 = CTYPES_ADDR_OF_FATPTR(x1202);
   int x1204 = uv_getrusage(x1203);
   return Val_long(x1204);
}
value luv_stub_218_uv_os_getpid(value x1205)
{
   int x1206 = uv_os_getpid();
   return Val_long(x1206);
}
value luv_stub_219_uv_os_getppid(value x1207)
{
   int x1208 = uv_os_getppid();
   return Val_long(x1208);
}
value luv_stub_220_uv_cpu_info(value x1210, value x1209)
{
   uv_cpu_info_t** x1211 = CTYPES_ADDR_OF_FATPTR(x1210);
   int* x1212 = CTYPES_ADDR_OF_FATPTR(x1209);
   int x1213 = uv_cpu_info(x1211, x1212);
   return Val_long(x1213);
}
value luv_stub_221_uv_free_cpu_info(value x1215, value x1214)
{
   uv_cpu_info_t* x1216 = CTYPES_ADDR_OF_FATPTR(x1215);
   int x1217 = Long_val(x1214);
   uv_free_cpu_info(x1216, x1217);
   return Val_unit;
}
value luv_stub_222_uv_interface_addresses(value x1222, value x1221)
{
   struct uv_interface_address_s** x1223 = CTYPES_ADDR_OF_FATPTR(x1222);
   int* x1224 = CTYPES_ADDR_OF_FATPTR(x1221);
   int x1225 = uv_interface_addresses(x1223, x1224);
   return Val_long(x1225);
}
value luv_stub_223_uv_free_interface_addresses(value x1227, value x1226)
{
   struct uv_interface_address_s* x1228 = CTYPES_ADDR_OF_FATPTR(x1227);
   int x1229 = Long_val(x1226);
   uv_free_interface_addresses(x1228, x1229);
   return Val_unit;
}
value luv_stub_224_uv_if_indextoname(value x1235, value x1234, value x1233)
{
   unsigned int x1236 = ctypes_uint_val(x1235);
   unsigned char* x1239 = CTYPES_PTR_OF_OCAML_BYTES(x1234);
   size_t* x1240 = CTYPES_ADDR_OF_FATPTR(x1233);
   int x1241 = uv_if_indextoname(x1236, x1239, x1240);
   return Val_long(x1241);
}
value luv_stub_225_uv_if_indextoiid(value x1244, value x1243, value x1242)
{
   unsigned int x1245 = ctypes_uint_val(x1244);
   unsigned char* x1248 = CTYPES_PTR_OF_OCAML_BYTES(x1243);
   size_t* x1249 = CTYPES_ADDR_OF_FATPTR(x1242);
   int x1250 = uv_if_indextoiid(x1245, x1248, x1249);
   return Val_long(x1250);
}
value luv_stub_226_uv_os_gethostname(value x1252, value x1251)
{
   unsigned char* x1253 = CTYPES_PTR_OF_OCAML_BYTES(x1252);
   size_t* x1254 = CTYPES_ADDR_OF_FATPTR(x1251);
   int x1255 = uv_os_gethostname(x1253, x1254);
   return Val_long(x1255);
}
value luv_stub_227_uv_exepath(value x1257, value x1256)
{
   unsigned char* x1258 = CTYPES_PTR_OF_OCAML_BYTES(x1257);
   size_t* x1259 = CTYPES_ADDR_OF_FATPTR(x1256);
   int x1260 = uv_exepath(x1258, x1259);
   return Val_long(x1260);
}
value luv_stub_228_uv_cwd(value x1262, value x1261)
{
   unsigned char* x1263 = CTYPES_PTR_OF_OCAML_BYTES(x1262);
   size_t* x1264 = CTYPES_ADDR_OF_FATPTR(x1261);
   int x1265 = uv_cwd(x1263, x1264);
   return Val_long(x1265);
}
value luv_stub_229_uv_chdir(value x1266)
{
   char* x1267 = CTYPES_PTR_OF_OCAML_STRING(x1266);
   int x1268 = uv_chdir(x1267);
   return Val_long(x1268);
}
value luv_stub_230_uv_os_homedir(value x1270, value x1269)
{
   unsigned char* x1271 = CTYPES_PTR_OF_OCAML_BYTES(x1270);
   size_t* x1272 = CTYPES_ADDR_OF_FATPTR(x1269);
   int x1273 = uv_os_homedir(x1271, x1272);
   return Val_long(x1273);
}
value luv_stub_231_uv_os_tmpdir(value x1275, value x1274)
{
   unsigned char* x1276 = CTYPES_PTR_OF_OCAML_BYTES(x1275);
   size_t* x1277 = CTYPES_ADDR_OF_FATPTR(x1274);
   int x1278 = uv_os_tmpdir(x1276, x1277);
   return Val_long(x1278);
}
value luv_stub_232_uv_os_get_passwd(value x1279)
{
   uv_passwd_t* x1280 = CTYPES_ADDR_OF_FATPTR(x1279);
   int x1281 = uv_os_get_passwd(x1280);
   return Val_long(x1281);
}
value luv_stub_233_uv_os_free_passwd(value x1282)
{
   uv_passwd_t* x1283 = CTYPES_ADDR_OF_FATPTR(x1282);
   uv_os_free_passwd(x1283);
   return Val_unit;
}
value luv_stub_234_uv_os_getenv(value x1287, value x1286, value x1285)
{
   char* x1288 = CTYPES_PTR_OF_OCAML_STRING(x1287);
   unsigned char* x1289 = CTYPES_PTR_OF_OCAML_BYTES(x1286);
   size_t* x1290 = CTYPES_ADDR_OF_FATPTR(x1285);
   int x1291 = uv_os_getenv(x1288, x1289, x1290);
   return Val_long(x1291);
}
value luv_stub_235_uv_os_setenv(value x1293, value x1292)
{
   char* x1294 = CTYPES_PTR_OF_OCAML_STRING(x1293);
   char* x1295 = CTYPES_PTR_OF_OCAML_STRING(x1292);
   int x1296 = uv_os_setenv(x1294, x1295);
   return Val_long(x1296);
}
value luv_stub_236_uv_os_unsetenv(value x1297)
{
   char* x1298 = CTYPES_PTR_OF_OCAML_STRING(x1297);
   int x1299 = uv_os_unsetenv(x1298);
   return Val_long(x1299);
}
value luv_stub_237_uv_os_environ(value x1301, value x1300)
{
   uv_env_item_t** x1302 = CTYPES_ADDR_OF_FATPTR(x1301);
   int* x1303 = CTYPES_ADDR_OF_FATPTR(x1300);
   int x1304 = uv_os_environ(x1302, x1303);
   return Val_long(x1304);
}
value luv_stub_238_uv_os_free_environ(value x1306, value x1305)
{
   uv_env_item_t* x1307 = CTYPES_ADDR_OF_FATPTR(x1306);
   int x1308 = Long_val(x1305);
   uv_os_free_environ(x1307, x1308);
   return Val_unit;
}
value luv_stub_239_luv_os_uname(value x1312)
{
   unsigned char* x1313 = CTYPES_PTR_OF_OCAML_BYTES(x1312);
   int x1314 = luv_os_uname(x1313);
   return Val_long(x1314);
}
value luv_stub_240_uv_gettimeofday(value x1315)
{
   uv_timeval64_t* x1316 = CTYPES_ADDR_OF_FATPTR(x1315);
   int x1317 = uv_gettimeofday(x1316);
   return Val_long(x1317);
}
value luv_stub_241_uv_hrtime(value x1318)
{
   uint64_t x1319 = uv_hrtime();
   return integers_copy_uint64(x1319);
}
value luv_stub_242_luv_get_random_trampoline(value x1320)
{
   void(* x1321)(uv_random_t*, int, void*, size_t) =
   luv_get_random_trampoline();
   return CTYPES_FROM_PTR(x1321);
}
value luv_stub_243_luv_null_random_trampoline(value x1322)
{
   void(* x1323)(uv_random_t*, int, void*, size_t) =
   luv_null_random_trampoline();
   return CTYPES_FROM_PTR(x1323);
}
value luv_stub_244_uv_random(value x1329, value x1328, value x1327,
                             value x1326, value x1325, value x1324)
{
   uv_loop_t* x1330 = CTYPES_ADDR_OF_FATPTR(x1329);
   uv_random_t* x1331 = CTYPES_ADDR_OF_FATPTR(x1328);
   char* x1332 = CTYPES_ADDR_OF_FATPTR(x1327);
   size_t x1333 = ctypes_size_t_val(x1326);
   unsigned int x1336 = ctypes_uint_val(x1325);
   void(* x1339)(uv_random_t*, int, void*, size_t) =
   CTYPES_ADDR_OF_FATPTR(x1324);
   int x1340 = uv_random(x1330, x1331, x1332, x1333, x1336, x1339);
   return Val_long(x1340);
}
value luv_stub_244_uv_random_byte6(value* argv, int argc)
{
   value x1341 = argv[5];
   value x1342 = argv[4];
   value x1343 = argv[3];
   value x1344 = argv[2];
   value x1345 = argv[1];
   value x1346 = argv[0];
   return luv_stub_244_uv_random(x1346, x1345, x1344, x1343, x1342, x1341);
}
value luv_stub_245_uv_metrics_idle_time(value x1347)
{
   uv_loop_t* x1348 = CTYPES_ADDR_OF_FATPTR(x1347);
   uint64_t x1349 = uv_metrics_idle_time(x1348);
   return integers_copy_uint64(x1349);
}
#include "ctypes_cstubs_internals.h"
#include <caml/threads.h>
value luv_stub_blocking_1_uv_run(value x1351, value x1350)
{
   CAMLparam2 (x1351, x1350);;
   uv_loop_t* x1352 = CTYPES_ADDR_OF_FATPTR(x1351);
   uint32_t x1353 = Uint32_val(x1350);
   caml_release_runtime_system();
   _Bool x1356 = uv_run(x1352, x1353);
   caml_acquire_runtime_system();
   value x1357 = Val_bool(x1356);
   CAMLreturnT(value, x1357);
}
value luv_stub_blocking_2_uv_pipe_bind(value x1361, value x1360)
{
   CAMLparam2 (x1361, x1360);;
   uv_pipe_t* x1362 = CTYPES_ADDR_OF_FATPTR(x1361);
   char* x1363 = CTYPES_ADDR_OF_FATPTR(x1360);
   caml_release_runtime_system();
   int x1364 = uv_pipe_bind(x1362, x1363);
   caml_acquire_runtime_system();
   value x1365 = Val_long(x1364);
   CAMLreturnT(value, x1365);
}
value luv_stub_blocking_3_luv_get_fs_trampoline(value x1368)
{
   CAMLparam1 (x1368);;
   caml_release_runtime_system();
   void(* x1369)(uv_fs_t*) = luv_get_fs_trampoline();
   caml_acquire_runtime_system();
   value x1370 = CTYPES_FROM_PTR(x1369);
   CAMLreturnT(value, x1370);
}
value luv_stub_blocking_4_luv_null_fs_callback_pointer(value x1373)
{
   CAMLparam1 (x1373);;
   caml_release_runtime_system();
   void(* x1374)(uv_fs_t*) = luv_null_fs_callback_pointer();
   caml_acquire_runtime_system();
   value x1375 = CTYPES_FROM_PTR(x1374);
   CAMLreturnT(value, x1375);
}
value luv_stub_blocking_5_uv_fs_req_cleanup(value x1378)
{
   CAMLparam1 (x1378);;
   uv_fs_t* x1379 = CTYPES_ADDR_OF_FATPTR(x1378);
   caml_release_runtime_system();
   uv_fs_req_cleanup(x1379);
   caml_acquire_runtime_system();
   value x1381 = Val_unit;
   CAMLreturnT(value, x1381);
}
value luv_stub_blocking_6_uv_fs_close(value x1387, value x1386, value x1385,
                                      value x1384)
{
   CAMLparam4 (x1387, x1386, x1385, x1384);;
   uv_loop_t* x1388 = CTYPES_ADDR_OF_FATPTR(x1387);
   uv_fs_t* x1389 = CTYPES_ADDR_OF_FATPTR(x1386);
   int x1390 = Long_val(x1385);
   void(* x1393)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1384);
   caml_release_runtime_system();
   int x1394 = uv_fs_close(x1388, x1389, x1390, x1393);
   caml_acquire_runtime_system();
   value x1395 = Val_long(x1394);
   CAMLreturnT(value, x1395);
}
value luv_stub_blocking_7_uv_fs_open(value x1403, value x1402, value x1401,
                                     value x1400, value x1399, value x1398)
{
   CAMLparam5 (x1403, x1402, x1401, x1400, x1399); CAMLxparam1 (x1398);;
   uv_loop_t* x1404 = CTYPES_ADDR_OF_FATPTR(x1403);
   uv_fs_t* x1405 = CTYPES_ADDR_OF_FATPTR(x1402);
   char* x1406 = CTYPES_ADDR_OF_FATPTR(x1401);
   int x1407 = Long_val(x1400);
   int x1410 = Long_val(x1399);
   void(* x1413)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1398);
   caml_release_runtime_system();
   int x1414 = uv_fs_open(x1404, x1405, x1406, x1407, x1410, x1413);
   caml_acquire_runtime_system();
   value x1415 = Val_long(x1414);
   CAMLreturnT(value, x1415);
}
value luv_stub_blocking_7_uv_fs_open_byte6(value* argv, int argc)
{
   value x1418 = argv[5];
   value x1419 = argv[4];
   value x1420 = argv[3];
   value x1421 = argv[2];
   value x1422 = argv[1];
   value x1423 = argv[0];
   return
     luv_stub_blocking_7_uv_fs_open(x1423, x1422, x1421, x1420, x1419, x1418);
}
value luv_stub_blocking_8_uv_fs_read(value x1430, value x1429, value x1428,
                                     value x1427, value x1426, value x1425,
                                     value x1424)
{
   CAMLparam5 (x1430, x1429, x1428, x1427, x1426);
   CAMLxparam2 (x1425, x1424);;
   uv_loop_t* x1431 = CTYPES_ADDR_OF_FATPTR(x1430);
   uv_fs_t* x1432 = CTYPES_ADDR_OF_FATPTR(x1429);
   int x1433 = Long_val(x1428);
   uv_buf_t* x1436 = CTYPES_ADDR_OF_FATPTR(x1427);
   unsigned int x1437 = ctypes_uint_val(x1426);
   int64_t x1440 = Int64_val(x1425);
   void(* x1443)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1424);
   caml_release_runtime_system();
   int x1444 = uv_fs_read(x1431, x1432, x1433, x1436, x1437, x1440, x1443);
   caml_acquire_runtime_system();
   value x1445 = Val_long(x1444);
   CAMLreturnT(value, x1445);
}
value luv_stub_blocking_8_uv_fs_read_byte7(value* argv, int argc)
{
   value x1448 = argv[6];
   value x1449 = argv[5];
   value x1450 = argv[4];
   value x1451 = argv[3];
   value x1452 = argv[2];
   value x1453 = argv[1];
   value x1454 = argv[0];
   return
     luv_stub_blocking_8_uv_fs_read(x1454, x1453, x1452, x1451, x1450, 
                                    x1449, x1448);
}
value luv_stub_blocking_9_uv_fs_write(value x1461, value x1460, value x1459,
                                      value x1458, value x1457, value x1456,
                                      value x1455)
{
   CAMLparam5 (x1461, x1460, x1459, x1458, x1457);
   CAMLxparam2 (x1456, x1455);;
   uv_loop_t* x1462 = CTYPES_ADDR_OF_FATPTR(x1461);
   uv_fs_t* x1463 = CTYPES_ADDR_OF_FATPTR(x1460);
   int x1464 = Long_val(x1459);
   uv_buf_t* x1467 = CTYPES_ADDR_OF_FATPTR(x1458);
   unsigned int x1468 = ctypes_uint_val(x1457);
   int64_t x1471 = Int64_val(x1456);
   void(* x1474)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1455);
   caml_release_runtime_system();
   int x1475 = uv_fs_write(x1462, x1463, x1464, x1467, x1468, x1471, x1474);
   caml_acquire_runtime_system();
   value x1476 = Val_long(x1475);
   CAMLreturnT(value, x1476);
}
value luv_stub_blocking_9_uv_fs_write_byte7(value* argv, int argc)
{
   value x1479 = argv[6];
   value x1480 = argv[5];
   value x1481 = argv[4];
   value x1482 = argv[3];
   value x1483 = argv[2];
   value x1484 = argv[1];
   value x1485 = argv[0];
   return
     luv_stub_blocking_9_uv_fs_write(x1485, x1484, x1483, x1482, x1481,
                                     x1480, x1479);
}
value luv_stub_blocking_10_uv_fs_unlink(value x1489, value x1488,
                                        value x1487, value x1486)
{
   CAMLparam4 (x1489, x1488, x1487, x1486);;
   uv_loop_t* x1490 = CTYPES_ADDR_OF_FATPTR(x1489);
   uv_fs_t* x1491 = CTYPES_ADDR_OF_FATPTR(x1488);
   char* x1492 = CTYPES_ADDR_OF_FATPTR(x1487);
   void(* x1493)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1486);
   caml_release_runtime_system();
   int x1494 = uv_fs_unlink(x1490, x1491, x1492, x1493);
   caml_acquire_runtime_system();
   value x1495 = Val_long(x1494);
   CAMLreturnT(value, x1495);
}
value luv_stub_blocking_11_uv_fs_mkdir(value x1502, value x1501, value x1500,
                                       value x1499, value x1498)
{
   CAMLparam5 (x1502, x1501, x1500, x1499, x1498); ;
   uv_loop_t* x1503 = CTYPES_ADDR_OF_FATPTR(x1502);
   uv_fs_t* x1504 = CTYPES_ADDR_OF_FATPTR(x1501);
   char* x1505 = CTYPES_ADDR_OF_FATPTR(x1500);
   int x1506 = Long_val(x1499);
   void(* x1509)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1498);
   caml_release_runtime_system();
   int x1510 = uv_fs_mkdir(x1503, x1504, x1505, x1506, x1509);
   caml_acquire_runtime_system();
   value x1511 = Val_long(x1510);
   CAMLreturnT(value, x1511);
}
value luv_stub_blocking_12_uv_fs_mkdtemp(value x1517, value x1516,
                                         value x1515, value x1514)
{
   CAMLparam4 (x1517, x1516, x1515, x1514);;
   uv_loop_t* x1518 = CTYPES_ADDR_OF_FATPTR(x1517);
   uv_fs_t* x1519 = CTYPES_ADDR_OF_FATPTR(x1516);
   char* x1520 = CTYPES_ADDR_OF_FATPTR(x1515);
   void(* x1521)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1514);
   caml_release_runtime_system();
   int x1522 = uv_fs_mkdtemp(x1518, x1519, x1520, x1521);
   caml_acquire_runtime_system();
   value x1523 = Val_long(x1522);
   CAMLreturnT(value, x1523);
}
value luv_stub_blocking_13_uv_fs_mkstemp(value x1529, value x1528,
                                         value x1527, value x1526)
{
   CAMLparam4 (x1529, x1528, x1527, x1526);;
   uv_loop_t* x1530 = CTYPES_ADDR_OF_FATPTR(x1529);
   uv_fs_t* x1531 = CTYPES_ADDR_OF_FATPTR(x1528);
   char* x1532 = CTYPES_ADDR_OF_FATPTR(x1527);
   void(* x1533)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1526);
   caml_release_runtime_system();
   int x1534 = uv_fs_mkstemp(x1530, x1531, x1532, x1533);
   caml_acquire_runtime_system();
   value x1535 = Val_long(x1534);
   CAMLreturnT(value, x1535);
}
value luv_stub_blocking_14_uv_fs_rmdir(value x1541, value x1540, value x1539,
                                       value x1538)
{
   CAMLparam4 (x1541, x1540, x1539, x1538);;
   uv_loop_t* x1542 = CTYPES_ADDR_OF_FATPTR(x1541);
   uv_fs_t* x1543 = CTYPES_ADDR_OF_FATPTR(x1540);
   char* x1544 = CTYPES_ADDR_OF_FATPTR(x1539);
   void(* x1545)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1538);
   caml_release_runtime_system();
   int x1546 = uv_fs_rmdir(x1542, x1543, x1544, x1545);
   caml_acquire_runtime_system();
   value x1547 = Val_long(x1546);
   CAMLreturnT(value, x1547);
}
value luv_stub_blocking_15_uv_fs_opendir(value x1553, value x1552,
                                         value x1551, value x1550)
{
   CAMLparam4 (x1553, x1552, x1551, x1550);;
   uv_loop_t* x1554 = CTYPES_ADDR_OF_FATPTR(x1553);
   uv_fs_t* x1555 = CTYPES_ADDR_OF_FATPTR(x1552);
   char* x1556 = CTYPES_ADDR_OF_FATPTR(x1551);
   void(* x1557)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1550);
   caml_release_runtime_system();
   int x1558 = uv_fs_opendir(x1554, x1555, x1556, x1557);
   caml_acquire_runtime_system();
   value x1559 = Val_long(x1558);
   CAMLreturnT(value, x1559);
}
value luv_stub_blocking_16_uv_fs_closedir(value x1565, value x1564,
                                          value x1563, value x1562)
{
   CAMLparam4 (x1565, x1564, x1563, x1562);;
   uv_loop_t* x1566 = CTYPES_ADDR_OF_FATPTR(x1565);
   uv_fs_t* x1567 = CTYPES_ADDR_OF_FATPTR(x1564);
   uv_dir_t* x1568 = CTYPES_ADDR_OF_FATPTR(x1563);
   void(* x1569)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1562);
   caml_release_runtime_system();
   int x1570 = uv_fs_closedir(x1566, x1567, x1568, x1569);
   caml_acquire_runtime_system();
   value x1571 = Val_long(x1570);
   CAMLreturnT(value, x1571);
}
value luv_stub_blocking_17_uv_fs_readdir(value x1577, value x1576,
                                         value x1575, value x1574)
{
   CAMLparam4 (x1577, x1576, x1575, x1574);;
   uv_loop_t* x1578 = CTYPES_ADDR_OF_FATPTR(x1577);
   uv_fs_t* x1579 = CTYPES_ADDR_OF_FATPTR(x1576);
   uv_dir_t* x1580 = CTYPES_ADDR_OF_FATPTR(x1575);
   void(* x1581)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1574);
   caml_release_runtime_system();
   int x1582 = uv_fs_readdir(x1578, x1579, x1580, x1581);
   caml_acquire_runtime_system();
   value x1583 = Val_long(x1582);
   CAMLreturnT(value, x1583);
}
value luv_stub_blocking_18_uv_fs_scandir(value x1590, value x1589,
                                         value x1588, value x1587,
                                         value x1586)
{
   CAMLparam5 (x1590, x1589, x1588, x1587, x1586); ;
   uv_loop_t* x1591 = CTYPES_ADDR_OF_FATPTR(x1590);
   uv_fs_t* x1592 = CTYPES_ADDR_OF_FATPTR(x1589);
   char* x1593 = CTYPES_ADDR_OF_FATPTR(x1588);
   int x1594 = Long_val(x1587);
   void(* x1597)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1586);
   caml_release_runtime_system();
   int x1598 = uv_fs_scandir(x1591, x1592, x1593, x1594, x1597);
   caml_acquire_runtime_system();
   value x1599 = Val_long(x1598);
   CAMLreturnT(value, x1599);
}
value luv_stub_blocking_19_uv_fs_scandir_next(value x1603, value x1602)
{
   CAMLparam2 (x1603, x1602);;
   uv_fs_t* x1604 = CTYPES_ADDR_OF_FATPTR(x1603);
   uv_dirent_t* x1605 = CTYPES_ADDR_OF_FATPTR(x1602);
   caml_release_runtime_system();
   int x1606 = uv_fs_scandir_next(x1604, x1605);
   caml_acquire_runtime_system();
   value x1607 = Val_long(x1606);
   CAMLreturnT(value, x1607);
}
value luv_stub_blocking_20_uv_fs_stat(value x1613, value x1612, value x1611,
                                      value x1610)
{
   CAMLparam4 (x1613, x1612, x1611, x1610);;
   uv_loop_t* x1614 = CTYPES_ADDR_OF_FATPTR(x1613);
   uv_fs_t* x1615 = CTYPES_ADDR_OF_FATPTR(x1612);
   char* x1616 = CTYPES_ADDR_OF_FATPTR(x1611);
   void(* x1617)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1610);
   caml_release_runtime_system();
   int x1618 = uv_fs_stat(x1614, x1615, x1616, x1617);
   caml_acquire_runtime_system();
   value x1619 = Val_long(x1618);
   CAMLreturnT(value, x1619);
}
value luv_stub_blocking_21_uv_fs_lstat(value x1625, value x1624, value x1623,
                                       value x1622)
{
   CAMLparam4 (x1625, x1624, x1623, x1622);;
   uv_loop_t* x1626 = CTYPES_ADDR_OF_FATPTR(x1625);
   uv_fs_t* x1627 = CTYPES_ADDR_OF_FATPTR(x1624);
   char* x1628 = CTYPES_ADDR_OF_FATPTR(x1623);
   void(* x1629)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1622);
   caml_release_runtime_system();
   int x1630 = uv_fs_lstat(x1626, x1627, x1628, x1629);
   caml_acquire_runtime_system();
   value x1631 = Val_long(x1630);
   CAMLreturnT(value, x1631);
}
value luv_stub_blocking_22_uv_fs_fstat(value x1637, value x1636, value x1635,
                                       value x1634)
{
   CAMLparam4 (x1637, x1636, x1635, x1634);;
   uv_loop_t* x1638 = CTYPES_ADDR_OF_FATPTR(x1637);
   uv_fs_t* x1639 = CTYPES_ADDR_OF_FATPTR(x1636);
   int x1640 = Long_val(x1635);
   void(* x1643)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1634);
   caml_release_runtime_system();
   int x1644 = uv_fs_fstat(x1638, x1639, x1640, x1643);
   caml_acquire_runtime_system();
   value x1645 = Val_long(x1644);
   CAMLreturnT(value, x1645);
}
value luv_stub_blocking_23_uv_fs_statfs(value x1651, value x1650,
                                        value x1649, value x1648)
{
   CAMLparam4 (x1651, x1650, x1649, x1648);;
   uv_loop_t* x1652 = CTYPES_ADDR_OF_FATPTR(x1651);
   uv_fs_t* x1653 = CTYPES_ADDR_OF_FATPTR(x1650);
   char* x1654 = CTYPES_ADDR_OF_FATPTR(x1649);
   void(* x1655)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1648);
   caml_release_runtime_system();
   int x1656 = uv_fs_statfs(x1652, x1653, x1654, x1655);
   caml_acquire_runtime_system();
   value x1657 = Val_long(x1656);
   CAMLreturnT(value, x1657);
}
value luv_stub_blocking_24_uv_fs_rename(value x1664, value x1663,
                                        value x1662, value x1661,
                                        value x1660)
{
   CAMLparam5 (x1664, x1663, x1662, x1661, x1660); ;
   uv_loop_t* x1665 = CTYPES_ADDR_OF_FATPTR(x1664);
   uv_fs_t* x1666 = CTYPES_ADDR_OF_FATPTR(x1663);
   char* x1667 = CTYPES_ADDR_OF_FATPTR(x1662);
   char* x1668 = CTYPES_ADDR_OF_FATPTR(x1661);
   void(* x1669)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1660);
   caml_release_runtime_system();
   int x1670 = uv_fs_rename(x1665, x1666, x1667, x1668, x1669);
   caml_acquire_runtime_system();
   value x1671 = Val_long(x1670);
   CAMLreturnT(value, x1671);
}
value luv_stub_blocking_25_uv_fs_fsync(value x1677, value x1676, value x1675,
                                       value x1674)
{
   CAMLparam4 (x1677, x1676, x1675, x1674);;
   uv_loop_t* x1678 = CTYPES_ADDR_OF_FATPTR(x1677);
   uv_fs_t* x1679 = CTYPES_ADDR_OF_FATPTR(x1676);
   int x1680 = Long_val(x1675);
   void(* x1683)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1674);
   caml_release_runtime_system();
   int x1684 = uv_fs_fsync(x1678, x1679, x1680, x1683);
   caml_acquire_runtime_system();
   value x1685 = Val_long(x1684);
   CAMLreturnT(value, x1685);
}
value luv_stub_blocking_26_uv_fs_fdatasync(value x1691, value x1690,
                                           value x1689, value x1688)
{
   CAMLparam4 (x1691, x1690, x1689, x1688);;
   uv_loop_t* x1692 = CTYPES_ADDR_OF_FATPTR(x1691);
   uv_fs_t* x1693 = CTYPES_ADDR_OF_FATPTR(x1690);
   int x1694 = Long_val(x1689);
   void(* x1697)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1688);
   caml_release_runtime_system();
   int x1698 = uv_fs_fdatasync(x1692, x1693, x1694, x1697);
   caml_acquire_runtime_system();
   value x1699 = Val_long(x1698);
   CAMLreturnT(value, x1699);
}
value luv_stub_blocking_27_uv_fs_ftruncate(value x1706, value x1705,
                                           value x1704, value x1703,
                                           value x1702)
{
   CAMLparam5 (x1706, x1705, x1704, x1703, x1702); ;
   uv_loop_t* x1707 = CTYPES_ADDR_OF_FATPTR(x1706);
   uv_fs_t* x1708 = CTYPES_ADDR_OF_FATPTR(x1705);
   int x1709 = Long_val(x1704);
   int64_t x1712 = Int64_val(x1703);
   void(* x1715)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1702);
   caml_release_runtime_system();
   int x1716 = uv_fs_ftruncate(x1707, x1708, x1709, x1712, x1715);
   caml_acquire_runtime_system();
   value x1717 = Val_long(x1716);
   CAMLreturnT(value, x1717);
}
value luv_stub_blocking_28_uv_fs_copyfile(value x1725, value x1724,
                                          value x1723, value x1722,
                                          value x1721, value x1720)
{
   CAMLparam5 (x1725, x1724, x1723, x1722, x1721); CAMLxparam1 (x1720);;
   uv_loop_t* x1726 = CTYPES_ADDR_OF_FATPTR(x1725);
   uv_fs_t* x1727 = CTYPES_ADDR_OF_FATPTR(x1724);
   char* x1728 = CTYPES_ADDR_OF_FATPTR(x1723);
   char* x1729 = CTYPES_ADDR_OF_FATPTR(x1722);
   int x1730 = Long_val(x1721);
   void(* x1733)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1720);
   caml_release_runtime_system();
   int x1734 = uv_fs_copyfile(x1726, x1727, x1728, x1729, x1730, x1733);
   caml_acquire_runtime_system();
   value x1735 = Val_long(x1734);
   CAMLreturnT(value, x1735);
}
value luv_stub_blocking_28_uv_fs_copyfile_byte6(value* argv, int argc)
{
   value x1738 = argv[5];
   value x1739 = argv[4];
   value x1740 = argv[3];
   value x1741 = argv[2];
   value x1742 = argv[1];
   value x1743 = argv[0];
   return
     luv_stub_blocking_28_uv_fs_copyfile(x1743, x1742, x1741, x1740, 
                                         x1739, x1738);
}
value luv_stub_blocking_29_uv_fs_sendfile(value x1750, value x1749,
                                          value x1748, value x1747,
                                          value x1746, value x1745,
                                          value x1744)
{
   CAMLparam5 (x1750, x1749, x1748, x1747, x1746);
   CAMLxparam2 (x1745, x1744);;
   uv_loop_t* x1751 = CTYPES_ADDR_OF_FATPTR(x1750);
   uv_fs_t* x1752 = CTYPES_ADDR_OF_FATPTR(x1749);
   int x1753 = Long_val(x1748);
   int x1756 = Long_val(x1747);
   int64_t x1759 = Int64_val(x1746);
   size_t x1762 = ctypes_size_t_val(x1745);
   void(* x1765)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1744);
   caml_release_runtime_system();
   int x1766 =
   uv_fs_sendfile(x1751, x1752, x1753, x1756, x1759, x1762, x1765);
   caml_acquire_runtime_system();
   value x1767 = Val_long(x1766);
   CAMLreturnT(value, x1767);
}
value luv_stub_blocking_29_uv_fs_sendfile_byte7(value* argv, int argc)
{
   value x1770 = argv[6];
   value x1771 = argv[5];
   value x1772 = argv[4];
   value x1773 = argv[3];
   value x1774 = argv[2];
   value x1775 = argv[1];
   value x1776 = argv[0];
   return
     luv_stub_blocking_29_uv_fs_sendfile(x1776, x1775, x1774, x1773, 
                                         x1772, x1771, x1770);
}
value luv_stub_blocking_30_uv_fs_access(value x1781, value x1780,
                                        value x1779, value x1778,
                                        value x1777)
{
   CAMLparam5 (x1781, x1780, x1779, x1778, x1777); ;
   uv_loop_t* x1782 = CTYPES_ADDR_OF_FATPTR(x1781);
   uv_fs_t* x1783 = CTYPES_ADDR_OF_FATPTR(x1780);
   char* x1784 = CTYPES_ADDR_OF_FATPTR(x1779);
   int x1785 = Long_val(x1778);
   void(* x1788)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1777);
   caml_release_runtime_system();
   int x1789 = uv_fs_access(x1782, x1783, x1784, x1785, x1788);
   caml_acquire_runtime_system();
   value x1790 = Val_long(x1789);
   CAMLreturnT(value, x1790);
}
value luv_stub_blocking_31_uv_fs_chmod(value x1797, value x1796, value x1795,
                                       value x1794, value x1793)
{
   CAMLparam5 (x1797, x1796, x1795, x1794, x1793); ;
   uv_loop_t* x1798 = CTYPES_ADDR_OF_FATPTR(x1797);
   uv_fs_t* x1799 = CTYPES_ADDR_OF_FATPTR(x1796);
   char* x1800 = CTYPES_ADDR_OF_FATPTR(x1795);
   int x1801 = Long_val(x1794);
   void(* x1804)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1793);
   caml_release_runtime_system();
   int x1805 = uv_fs_chmod(x1798, x1799, x1800, x1801, x1804);
   caml_acquire_runtime_system();
   value x1806 = Val_long(x1805);
   CAMLreturnT(value, x1806);
}
value luv_stub_blocking_32_uv_fs_fchmod(value x1813, value x1812,
                                        value x1811, value x1810,
                                        value x1809)
{
   CAMLparam5 (x1813, x1812, x1811, x1810, x1809); ;
   uv_loop_t* x1814 = CTYPES_ADDR_OF_FATPTR(x1813);
   uv_fs_t* x1815 = CTYPES_ADDR_OF_FATPTR(x1812);
   int x1816 = Long_val(x1811);
   int x1819 = Long_val(x1810);
   void(* x1822)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1809);
   caml_release_runtime_system();
   int x1823 = uv_fs_fchmod(x1814, x1815, x1816, x1819, x1822);
   caml_acquire_runtime_system();
   value x1824 = Val_long(x1823);
   CAMLreturnT(value, x1824);
}
value luv_stub_blocking_33_uv_fs_utime(value x1832, value x1831, value x1830,
                                       value x1829, value x1828, value x1827)
{
   CAMLparam5 (x1832, x1831, x1830, x1829, x1828); CAMLxparam1 (x1827);;
   uv_loop_t* x1833 = CTYPES_ADDR_OF_FATPTR(x1832);
   uv_fs_t* x1834 = CTYPES_ADDR_OF_FATPTR(x1831);
   char* x1835 = CTYPES_ADDR_OF_FATPTR(x1830);
   double x1836 = Double_val(x1829);
   double x1839 = Double_val(x1828);
   void(* x1842)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1827);
   caml_release_runtime_system();
   int x1843 =
   uv_fs_utime(x1833, x1834, x1835, (float)x1836, (float)x1839, x1842);
   caml_acquire_runtime_system();
   value x1844 = Val_long(x1843);
   CAMLreturnT(value, x1844);
}
value luv_stub_blocking_33_uv_fs_utime_byte6(value* argv, int argc)
{
   value x1847 = argv[5];
   value x1848 = argv[4];
   value x1849 = argv[3];
   value x1850 = argv[2];
   value x1851 = argv[1];
   value x1852 = argv[0];
   return
     luv_stub_blocking_33_uv_fs_utime(x1852, x1851, x1850, x1849, x1848,
                                      x1847);
}
value luv_stub_blocking_34_uv_fs_futime(value x1858, value x1857,
                                        value x1856, value x1855,
                                        value x1854, value x1853)
{
   CAMLparam5 (x1858, x1857, x1856, x1855, x1854); CAMLxparam1 (x1853);;
   uv_loop_t* x1859 = CTYPES_ADDR_OF_FATPTR(x1858);
   uv_fs_t* x1860 = CTYPES_ADDR_OF_FATPTR(x1857);
   int x1861 = Long_val(x1856);
   double x1864 = Double_val(x1855);
   double x1867 = Double_val(x1854);
   void(* x1870)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1853);
   caml_release_runtime_system();
   int x1871 =
   uv_fs_futime(x1859, x1860, x1861, (float)x1864, (float)x1867, x1870);
   caml_acquire_runtime_system();
   value x1872 = Val_long(x1871);
   CAMLreturnT(value, x1872);
}
value luv_stub_blocking_34_uv_fs_futime_byte6(value* argv, int argc)
{
   value x1875 = argv[5];
   value x1876 = argv[4];
   value x1877 = argv[3];
   value x1878 = argv[2];
   value x1879 = argv[1];
   value x1880 = argv[0];
   return
     luv_stub_blocking_34_uv_fs_futime(x1880, x1879, x1878, x1877, x1876,
                                       x1875);
}
value luv_stub_blocking_35_uv_fs_lutime(value x1886, value x1885,
                                        value x1884, value x1883,
                                        value x1882, value x1881)
{
   CAMLparam5 (x1886, x1885, x1884, x1883, x1882); CAMLxparam1 (x1881);;
   uv_loop_t* x1887 = CTYPES_ADDR_OF_FATPTR(x1886);
   uv_fs_t* x1888 = CTYPES_ADDR_OF_FATPTR(x1885);
   char* x1889 = CTYPES_ADDR_OF_FATPTR(x1884);
   double x1890 = Double_val(x1883);
   double x1893 = Double_val(x1882);
   void(* x1896)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1881);
   caml_release_runtime_system();
   int x1897 =
   uv_fs_lutime(x1887, x1888, x1889, (float)x1890, (float)x1893, x1896);
   caml_acquire_runtime_system();
   value x1898 = Val_long(x1897);
   CAMLreturnT(value, x1898);
}
value luv_stub_blocking_35_uv_fs_lutime_byte6(value* argv, int argc)
{
   value x1901 = argv[5];
   value x1902 = argv[4];
   value x1903 = argv[3];
   value x1904 = argv[2];
   value x1905 = argv[1];
   value x1906 = argv[0];
   return
     luv_stub_blocking_35_uv_fs_lutime(x1906, x1905, x1904, x1903, x1902,
                                       x1901);
}
value luv_stub_blocking_36_uv_fs_link(value x1911, value x1910, value x1909,
                                      value x1908, value x1907)
{
   CAMLparam5 (x1911, x1910, x1909, x1908, x1907); ;
   uv_loop_t* x1912 = CTYPES_ADDR_OF_FATPTR(x1911);
   uv_fs_t* x1913 = CTYPES_ADDR_OF_FATPTR(x1910);
   char* x1914 = CTYPES_ADDR_OF_FATPTR(x1909);
   char* x1915 = CTYPES_ADDR_OF_FATPTR(x1908);
   void(* x1916)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1907);
   caml_release_runtime_system();
   int x1917 = uv_fs_link(x1912, x1913, x1914, x1915, x1916);
   caml_acquire_runtime_system();
   value x1918 = Val_long(x1917);
   CAMLreturnT(value, x1918);
}
value luv_stub_blocking_37_uv_fs_symlink(value x1926, value x1925,
                                         value x1924, value x1923,
                                         value x1922, value x1921)
{
   CAMLparam5 (x1926, x1925, x1924, x1923, x1922); CAMLxparam1 (x1921);;
   uv_loop_t* x1927 = CTYPES_ADDR_OF_FATPTR(x1926);
   uv_fs_t* x1928 = CTYPES_ADDR_OF_FATPTR(x1925);
   char* x1929 = CTYPES_ADDR_OF_FATPTR(x1924);
   char* x1930 = CTYPES_ADDR_OF_FATPTR(x1923);
   int x1931 = Long_val(x1922);
   void(* x1934)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1921);
   caml_release_runtime_system();
   int x1935 = uv_fs_symlink(x1927, x1928, x1929, x1930, x1931, x1934);
   caml_acquire_runtime_system();
   value x1936 = Val_long(x1935);
   CAMLreturnT(value, x1936);
}
value luv_stub_blocking_37_uv_fs_symlink_byte6(value* argv, int argc)
{
   value x1939 = argv[5];
   value x1940 = argv[4];
   value x1941 = argv[3];
   value x1942 = argv[2];
   value x1943 = argv[1];
   value x1944 = argv[0];
   return
     luv_stub_blocking_37_uv_fs_symlink(x1944, x1943, x1942, x1941, x1940,
                                        x1939);
}
value luv_stub_blocking_38_uv_fs_readlink(value x1948, value x1947,
                                          value x1946, value x1945)
{
   CAMLparam4 (x1948, x1947, x1946, x1945);;
   uv_loop_t* x1949 = CTYPES_ADDR_OF_FATPTR(x1948);
   uv_fs_t* x1950 = CTYPES_ADDR_OF_FATPTR(x1947);
   char* x1951 = CTYPES_ADDR_OF_FATPTR(x1946);
   void(* x1952)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1945);
   caml_release_runtime_system();
   int x1953 = uv_fs_readlink(x1949, x1950, x1951, x1952);
   caml_acquire_runtime_system();
   value x1954 = Val_long(x1953);
   CAMLreturnT(value, x1954);
}
value luv_stub_blocking_39_uv_fs_realpath(value x1960, value x1959,
                                          value x1958, value x1957)
{
   CAMLparam4 (x1960, x1959, x1958, x1957);;
   uv_loop_t* x1961 = CTYPES_ADDR_OF_FATPTR(x1960);
   uv_fs_t* x1962 = CTYPES_ADDR_OF_FATPTR(x1959);
   char* x1963 = CTYPES_ADDR_OF_FATPTR(x1958);
   void(* x1964)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1957);
   caml_release_runtime_system();
   int x1965 = uv_fs_realpath(x1961, x1962, x1963, x1964);
   caml_acquire_runtime_system();
   value x1966 = Val_long(x1965);
   CAMLreturnT(value, x1966);
}
value luv_stub_blocking_40_uv_fs_chown(value x1974, value x1973, value x1972,
                                       value x1971, value x1970, value x1969)
{
   CAMLparam5 (x1974, x1973, x1972, x1971, x1970); CAMLxparam1 (x1969);;
   uv_loop_t* x1975 = CTYPES_ADDR_OF_FATPTR(x1974);
   uv_fs_t* x1976 = CTYPES_ADDR_OF_FATPTR(x1973);
   char* x1977 = CTYPES_ADDR_OF_FATPTR(x1972);
   int x1978 = Long_val(x1971);
   int x1981 = Long_val(x1970);
   void(* x1984)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1969);
   caml_release_runtime_system();
   int x1985 = uv_fs_chown(x1975, x1976, x1977, x1978, x1981, x1984);
   caml_acquire_runtime_system();
   value x1986 = Val_long(x1985);
   CAMLreturnT(value, x1986);
}
value luv_stub_blocking_40_uv_fs_chown_byte6(value* argv, int argc)
{
   value x1989 = argv[5];
   value x1990 = argv[4];
   value x1991 = argv[3];
   value x1992 = argv[2];
   value x1993 = argv[1];
   value x1994 = argv[0];
   return
     luv_stub_blocking_40_uv_fs_chown(x1994, x1993, x1992, x1991, x1990,
                                      x1989);
}
value luv_stub_blocking_41_uv_fs_fchown(value x2000, value x1999,
                                        value x1998, value x1997,
                                        value x1996, value x1995)
{
   CAMLparam5 (x2000, x1999, x1998, x1997, x1996); CAMLxparam1 (x1995);;
   uv_loop_t* x2001 = CTYPES_ADDR_OF_FATPTR(x2000);
   uv_fs_t* x2002 = CTYPES_ADDR_OF_FATPTR(x1999);
   int x2003 = Long_val(x1998);
   int x2006 = Long_val(x1997);
   int x2009 = Long_val(x1996);
   void(* x2012)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1995);
   caml_release_runtime_system();
   int x2013 = uv_fs_fchown(x2001, x2002, x2003, x2006, x2009, x2012);
   caml_acquire_runtime_system();
   value x2014 = Val_long(x2013);
   CAMLreturnT(value, x2014);
}
value luv_stub_blocking_41_uv_fs_fchown_byte6(value* argv, int argc)
{
   value x2017 = argv[5];
   value x2018 = argv[4];
   value x2019 = argv[3];
   value x2020 = argv[2];
   value x2021 = argv[1];
   value x2022 = argv[0];
   return
     luv_stub_blocking_41_uv_fs_fchown(x2022, x2021, x2020, x2019, x2018,
                                       x2017);
}
value luv_stub_blocking_42_uv_fs_lchown(value x2028, value x2027,
                                        value x2026, value x2025,
                                        value x2024, value x2023)
{
   CAMLparam5 (x2028, x2027, x2026, x2025, x2024); CAMLxparam1 (x2023);;
   uv_loop_t* x2029 = CTYPES_ADDR_OF_FATPTR(x2028);
   uv_fs_t* x2030 = CTYPES_ADDR_OF_FATPTR(x2027);
   char* x2031 = CTYPES_ADDR_OF_FATPTR(x2026);
   int x2032 = Long_val(x2025);
   int x2035 = Long_val(x2024);
   void(* x2038)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2023);
   caml_release_runtime_system();
   int x2039 = uv_fs_lchown(x2029, x2030, x2031, x2032, x2035, x2038);
   caml_acquire_runtime_system();
   value x2040 = Val_long(x2039);
   CAMLreturnT(value, x2040);
}
value luv_stub_blocking_42_uv_fs_lchown_byte6(value* argv, int argc)
{
   value x2043 = argv[5];
   value x2044 = argv[4];
   value x2045 = argv[3];
   value x2046 = argv[2];
   value x2047 = argv[1];
   value x2048 = argv[0];
   return
     luv_stub_blocking_42_uv_fs_lchown(x2048, x2047, x2046, x2045, x2044,
                                       x2043);
}
value luv_stub_blocking_43_uv_fs_get_result(value x2049)
{
   CAMLparam1 (x2049);;
   uv_fs_t* x2050 = CTYPES_ADDR_OF_FATPTR(x2049);
   caml_release_runtime_system();
   ssize_t x2051 = uv_fs_get_result(x2050);
   caml_acquire_runtime_system();
   value x2052 = caml_copy_int64(x2051);
   CAMLreturnT(value, x2052);
}
value luv_stub_blocking_44_uv_fs_get_ptr(value x2055)
{
   CAMLparam1 (x2055);;
   uv_fs_t* x2056 = CTYPES_ADDR_OF_FATPTR(x2055);
   caml_release_runtime_system();
   void* x2057 = uv_fs_get_ptr(x2056);
   caml_acquire_runtime_system();
   value x2058 = CTYPES_FROM_PTR(x2057);
   CAMLreturnT(value, x2058);
}
value luv_stub_blocking_45_uv_fs_get_ptr(value x2061)
{
   CAMLparam1 (x2061);;
   uv_fs_t* x2062 = CTYPES_ADDR_OF_FATPTR(x2061);
   caml_release_runtime_system();
   char* x2063 = uv_fs_get_ptr(x2062);
   caml_acquire_runtime_system();
   value x2064 = CTYPES_FROM_PTR(x2063);
   CAMLreturnT(value, x2064);
}
value luv_stub_blocking_46_luv_fs_get_path(value x2067)
{
   CAMLparam1 (x2067);;
   uv_fs_t* x2068 = CTYPES_ADDR_OF_FATPTR(x2067);
   caml_release_runtime_system();
   char* x2069 = luv_fs_get_path(x2068);
   caml_acquire_runtime_system();
   value x2070 = CTYPES_FROM_PTR(x2069);
   CAMLreturnT(value, x2070);
}
value luv_stub_blocking_47_uv_fs_get_statbuf(value x2073)
{
   CAMLparam1 (x2073);;
   uv_fs_t* x2074 = CTYPES_ADDR_OF_FATPTR(x2073);
   caml_release_runtime_system();
   uv_stat_t* x2075 = uv_fs_get_statbuf(x2074);
   caml_acquire_runtime_system();
   value x2076 = CTYPES_FROM_PTR(x2075);
   CAMLreturnT(value, x2076);
}
value luv_stub_blocking_48_uv_thread_join(value x2079)
{
   CAMLparam1 (x2079);;
   uv_thread_t* x2080 = CTYPES_ADDR_OF_FATPTR(x2079);
   caml_release_runtime_system();
   int x2081 = uv_thread_join(x2080);
   caml_acquire_runtime_system();
   value x2082 = Val_long(x2081);
   CAMLreturnT(value, x2082);
}
value luv_stub_blocking_49_uv_mutex_lock(value x2085)
{
   CAMLparam1 (x2085);;
   uv_mutex_t* x2086 = CTYPES_ADDR_OF_FATPTR(x2085);
   caml_release_runtime_system();
   uv_mutex_lock(x2086);
   caml_acquire_runtime_system();
   value x2088 = Val_unit;
   CAMLreturnT(value, x2088);
}
value luv_stub_blocking_50_uv_rwlock_rdlock(value x2091)
{
   CAMLparam1 (x2091);;
   uv_rwlock_t* x2092 = CTYPES_ADDR_OF_FATPTR(x2091);
   caml_release_runtime_system();
   uv_rwlock_rdlock(x2092);
   caml_acquire_runtime_system();
   value x2094 = Val_unit;
   CAMLreturnT(value, x2094);
}
value luv_stub_blocking_51_uv_rwlock_wrlock(value x2097)
{
   CAMLparam1 (x2097);;
   uv_rwlock_t* x2098 = CTYPES_ADDR_OF_FATPTR(x2097);
   caml_release_runtime_system();
   uv_rwlock_wrlock(x2098);
   caml_acquire_runtime_system();
   value x2100 = Val_unit;
   CAMLreturnT(value, x2100);
}
value luv_stub_blocking_52_uv_sem_wait(value x2103)
{
   CAMLparam1 (x2103);;
   uv_sem_t* x2104 = CTYPES_ADDR_OF_FATPTR(x2103);
   caml_release_runtime_system();
   uv_sem_wait(x2104);
   caml_acquire_runtime_system();
   value x2106 = Val_unit;
   CAMLreturnT(value, x2106);
}
value luv_stub_blocking_53_uv_cond_wait(value x2110, value x2109)
{
   CAMLparam2 (x2110, x2109);;
   uv_cond_t* x2111 = CTYPES_ADDR_OF_FATPTR(x2110);
   uv_mutex_t* x2112 = CTYPES_ADDR_OF_FATPTR(x2109);
   caml_release_runtime_system();
   uv_cond_wait(x2111, x2112);
   caml_acquire_runtime_system();
   value x2114 = Val_unit;
   CAMLreturnT(value, x2114);
}
value luv_stub_blocking_54_uv_cond_timedwait(value x2119, value x2118,
                                             value x2117)
{
   CAMLparam3 (x2119, x2118, x2117);;
   uv_cond_t* x2120 = CTYPES_ADDR_OF_FATPTR(x2119);
   uv_mutex_t* x2121 = CTYPES_ADDR_OF_FATPTR(x2118);
   uint64_t x2122 = Uint64_val(x2117);
   caml_release_runtime_system();
   int x2125 = uv_cond_timedwait(x2120, x2121, x2122);
   caml_acquire_runtime_system();
   value x2126 = Val_long(x2125);
   CAMLreturnT(value, x2126);
}
value luv_stub_blocking_55_uv_barrier_wait(value x2129)
{
   CAMLparam1 (x2129);;
   uv_barrier_t* x2130 = CTYPES_ADDR_OF_FATPTR(x2129);
   caml_release_runtime_system();
   _Bool x2131 = uv_barrier_wait(x2130);
   caml_acquire_runtime_system();
   value x2132 = Val_bool(x2131);
   CAMLreturnT(value, x2132);
}
value luv_stub_blocking_56_uv_sleep(value x2135)
{
   CAMLparam1 (x2135);;
   int x2136 = Long_val(x2135);
   caml_release_runtime_system();
   uv_sleep(x2136);
   caml_acquire_runtime_system();
   value x2140 = Val_unit;
   CAMLreturnT(value, x2140);
}
value luv_stub_blocking_57_uv_random(value x2148, value x2147, value x2146,
                                     value x2145, value x2144, value x2143)
{
   CAMLparam5 (x2148, x2147, x2146, x2145, x2144); CAMLxparam1 (x2143);;
   uv_loop_t* x2149 = CTYPES_ADDR_OF_FATPTR(x2148);
   uv_random_t* x2150 = CTYPES_ADDR_OF_FATPTR(x2147);
   char* x2151 = CTYPES_ADDR_OF_FATPTR(x2146);
   size_t x2152 = ctypes_size_t_val(x2145);
   unsigned int x2155 = ctypes_uint_val(x2144);
   void(* x2158)(uv_random_t*, int, void*, size_t) =
   CTYPES_ADDR_OF_FATPTR(x2143);
   caml_release_runtime_system();
   int x2159 = uv_random(x2149, x2150, x2151, x2152, x2155, x2158);
   caml_acquire_runtime_system();
   value x2160 = Val_long(x2159);
   CAMLreturnT(value, x2160);
}
value luv_stub_blocking_57_uv_random_byte6(value* argv, int argc)
{
   value x2163 = argv[5];
   value x2164 = argv[4];
   value x2165 = argv[3];
   value x2166 = argv[2];
   value x2167 = argv[1];
   value x2168 = argv[0];
   return
     luv_stub_blocking_57_uv_random(x2168, x2167, x2166, x2165, x2164, x2163);
}
